import sys

if len(sys.argv) != 4 and len(sys.argv) != 5:
    print "HOW TO RUN:\n python get_CMS-SUS-16-036_BinNumber.py nj nb  ht(jet_pt) [mt2]\n ht, jet_pt, and mt2 must be expressed in GeV"
    exit()
elif len(sys.argv) == 4 and int(sys.argv[1])!=1:
    print "For multijet regions: \n python get_CMS-SUS-16-036_BinNumber.py nj nb ht mt2\n ht and mt2 must be expressed in GeV"
elif len(sys.argv) == 5 and int(sys.argv[1])==1:
    print "For monojet regions MT2 is not defined: \n python get_CMS-SUS-16-036_BinNumber.py nj nb jet_pt\n jet_pt must be expressed in GeV"

### Initializing binning variables
nj =int(sys.argv[1])
nb =int(sys.argv[2])
ht =float(sys.argv[3])
if len(sys.argv)==5:
    mt2=float(sys.argv[4])
else:
    mt2=-1.0

### Selection reminder
print "\nYou are looking for the bin corresponding to the following selection:"
print "Nj: "+str(nj)
print "nb: "+str(nb)
if nj!=1:
    print "HT: "+str(ht)+" GeV"
    print "MT2: "+str(mt2)+" GeV"
else:
    print "Jet pT: "+str(ht)+" GeV"

### Warnings if out of search regions
if ht<250:
    print "Our min threshold for ht and jet pt is 250 GeV, sorry!"
    exit()
elif nj<1:
    print "We only select events with at least one jet, sorry!"
    exit()
elif nb<0:
    print "You are looking for events with negative b-tag multiplicity, sorry!"
    exit()
elif nj>1 and (mt2<200 or (ht>=1500 and mt2<400)):
    print "Our min threshold for mt2 is 200 GeV for ht<1500 GeV, and 400 GeV for ht>1500 GeV, sorry!"
    exit()


### Defining function to get bin number from selection variables
def getBin(nj, nb, ht, mt2):

    ### Monojet
    if nj==1:
        if nb==0:
            c=0
            if ht<jetptbins[0][0]:
                print "Our min threshold for jet pt is "+str(jetptbins[0][0])+"GeV, sorry!"
                exit()
            elif ht>=jetptbins[0][len(jetptbins[0])-1]:
                return len(jetptbins[0])
            else:
                while c<len(jetptbins[0])-1:
                    if jetptbins[0][c] <= ht < jetptbins[0][c+1]:
                        return c+1
                    c=c+1
        else:
            c=0
            if ht<jetptbins[1][0]:
                print "Our min threshold for jet pt is "+str(jetptbins[1][0])+" GeV, sorry!"
                exit()
            elif ht>=jetptbins[1][len(jetptbins[1])-1]:
                return len(jetptbins[0])+len(jetptbins[1])
            else:
                while c<len(jetptbins[1])-1:
                    if jetptbins[1][c] <= ht < jetptbins[1][c+1]:
                        return len(jetptbins[0])+c+1
                    c=c+1

    ### Very Low HT
    elif nj>1 and ht<450:
        first=firstbinVL+firstMT2
        c=0
        if mt2<mt2binsVL[mt2block][0]:
            print "Our min threshold for MT2 is "+str(mt2binsVL[mt2block][0])+" GeV, sorry!"
            exit()
        elif mt2>=mt2binsVL[mt2block][len(mt2binsVL[mt2block])-1]:
            return first+len(mt2binsVL[mt2block])
        else:
            while c<len(mt2binsVL[mt2block])-1:
                if mt2binsVL[mt2block][c] <= mt2 < mt2binsVL[mt2block][c+1]:
                    return first+c+1
                c=c+1

    ### Low HT
    elif nj>1 and 450<=ht<575:
        first=firstbinL+firstMT2
        c=0
        if mt2<mt2binsL[mt2block][0]:
            print "Our min threshold for MT2 is "+str(mt2binsL[mt2block][0])+" GeV, sorry!"
            exit()
        elif mt2>=mt2binsL[mt2block][len(mt2binsL[mt2block])-1]:
            return first+len(mt2binsL[mt2block])
        else:
            while c<len(mt2binsL[mt2block])-1:
                if mt2binsL[mt2block][c] <= mt2 < mt2binsL[mt2block][c+1]:
                    return first+c+1
                c=c+1

    ### Medium HT
    elif nj>1 and 575<=ht<1000:
        first=firstbinM+firstMT2
        c=0
        if mt2<mt2binsM[mt2block][0]:
            print "Our min threshold for MT2 is "+str(mt2binsM[mt2block][0])+" GeV, sorry!"
            exit()
        elif mt2>=mt2binsM[mt2block][len(mt2binsM[mt2block])-1]:
            return first+len(mt2binsM[mt2block])
        else:
            while c<len(mt2binsM[mt2block])-1:
                if mt2binsM[mt2block][c] <= mt2 < mt2binsM[mt2block][c+1]:
                    return first+c+1
                c=c+1

    ### High HT
    elif nj>1 and 1000<=ht<1500:
        first=firstbinH+firstMT2
        c=0
        if mt2<mt2binsH[mt2block][0]:
            print "Our min threshold for MT2 is "+str(mt2binsH[mt2block][0])+" GeV, sorry!"
            exit()
        elif mt2>=mt2binsH[mt2block][len(mt2binsH[mt2block])-1]:
            return first+len(mt2binsH[mt2block])
        else:
            while c<len(mt2binsH[mt2block])-1:
                if mt2binsH[mt2block][c] <= mt2 < mt2binsH[mt2block][c+1]:
                    return first+c+1
                c=c+1

    ### Ultra-High HT
    elif nj>1 and 1500<=ht:
        first=firstbinUH+firstMT2
        c=0
        if mt2<mt2binsUH[mt2block][0]:
            print "Our min threshold for MT2 is "+str(mt2binsUH[mt2block][0])+" GeV, sorry!"
            exit()
        elif mt2>=mt2binsUH[mt2block][len(mt2binsUH[mt2block])-1]:
            return first+len(mt2binsUH[mt2block])
        else:
            while c<len(mt2binsUH[mt2block])-1:
                if mt2binsUH[mt2block][c] <= mt2 < mt2binsUH[mt2block][c+1]:
                    return first+c+1
                c=c+1



### Bin lists per topological region
jetptbins=[[250,350,450,575,700,1000,1200],[250,350,450,575,700]]

mt2binsVL=[[200,300,400],[200,300,400],[200,300,400],[200,300,400],[200,300,400],[200,300,400],[200,300,400]]
mt2binsL =[[200,300,400,500],[200,300,400,500],[200,300,400,500],[200,300,400,500],[200,300,400,500],[200,300,400,500],[200,300,400,500],[200,300,400],[200,300,400],[200,300,400],[200,300,400]]
mt2binsM =[[200,300,400,600,800],[200,300,400,600,800],[200,300,400,600,800],[200,300,400,600],[200,300,400,600,800],[200,300,400,600,800],[200,300,400,600,800],[200,300,400,600,800],[200,300,400,600],[200,300,400,600],[200,300,400,600]]
mt2binsH =[[200,400,600,800,1000,1200],[200,400,600,800,1000,1200],[200,400,600,800,1000],[200,400,600],[200,400,600,800,1000,1200],[200,400,600,800,1000,1200],[200,400,600,800,1000],[200,400,600,800,1000],[200,400,600,800],[200,400,600,800],[200,400,600]]
mt2binsUH=[[400,600,800,1000,1400],[400,600,800,1000],[400],[400,600],[400,600,800,1000,1400],[400,600,800,1000,1400],[400,600,800],[400,600,800,1000],[400,600,800],[400,600,800],[400]]

### Identifying bin sub-list, per topological region
mt2block=0
if nj>1:
    if 250<=ht<450:
        if 2<=nj<=3 and nb==0:
            mt2block=0
        elif 2<=nj<=3 and nb==1:
            mt2block=1
        elif 2<=nj<=3 and nb==2:
            mt2block=2
        elif 2<=nj and nb>2:
            mt2block=3
        elif 4<=nj and nb==0:
            mt2block=4
        elif 4<=nj and nb==1:
            mt2block=5
        elif 4<=nj and nb==2:
            mt2block=6
    else:
        if 2<=nj<=3 and nb==0:
            mt2block=0
        elif 2<=nj<=3 and nb==1:
            mt2block=1
        elif 2<=nj<=3 and nb==2:
            mt2block=2
        elif 2<=nj<=6 and nb>2:
            mt2block=3
        elif 4<=nj<=6 and nb==0:
            mt2block=4
        elif 4<=nj<=6 and nb==1:
            mt2block=5
        elif 4<=nj<=6 and nb==2:
            mt2block=6
        elif 7<=nj and nb==0:
            mt2block=7
        elif 7<=nj and nb==1:
            mt2block=8
        elif 7<=nj and nb==2:
            mt2block=9
        elif 7<=nj and nb>2:
            mt2block=10
    
### Identifying first bin per topological region in each HT region. Will start couting from this bin
firstMT2=0
for m in range(mt2block):
    if 250<=ht<450:
        firstMT2=firstMT2+len(mt2binsVL[m])
    elif 450<=ht<575:
        firstMT2=firstMT2+len(mt2binsL[m])
    elif 575<=ht<1000:
        firstMT2=firstMT2+len(mt2binsM[m])
    elif 1000<=ht<1500:
        firstMT2=firstMT2+len(mt2binsH[m])
    elif 1500<=ht:
        firstMT2=firstMT2+len(mt2binsUH[m])

### Identifying first bin per HT region (plus monojet)
firstbin1J=0
firstbinVL=len(jetptbins[0])+len(jetptbins[1])
firstbinL=firstbinVL
for b in range(0, len(mt2binsVL)):
    firstbinL=firstbinL+len(mt2binsVL[b])
firstbinM=firstbinL
for b in range(0, len(mt2binsL)):
    firstbinM=firstbinM+len(mt2binsL[b])
firstbinH=firstbinM
for b in range(0, len(mt2binsM)):
    firstbinH=firstbinH+len(mt2binsM[b])
firstbinUH=firstbinH
for b in range(0, len(mt2binsH)):
    firstbinUH=firstbinUH+len(mt2binsH[b])

### Returning bin number
binnumber = getBin(nj, nb, ht, mt2)
print "\nYou are looking for bin number ", binnumber

### Monojet
if int(binnumber)==1   : print "N(jets)=1, N(b-tag)=0, pT(jet) [250,350] GeV"
if int(binnumber)==2   : print "N(jets)=1, N(b-tag)=0, pT(jet) [350,450] GeV"
if int(binnumber)==3   : print "N(jets)=1, N(b-tag)=0, pT(jet) [450,575] GeV"
if int(binnumber)==4   : print "N(jets)=1, N(b-tag)=0, pT(jet) [575,700] GeV"
if int(binnumber)==5   : print "N(jets)=1, N(b-tag)=0, pT(jet) [700,1000] GeV"
if int(binnumber)==6   : print "N(jets)=1, N(b-tag)=0, pT(jet) [1000,1200] GeV"
if int(binnumber)==7   : print "N(jets)=1, N(b-tag)=0, pT(jet) >1200 GeV"

if int(binnumber)==8   : print "N(jets)=1, N(b-tag)>=1, pT(jet) [250,350] GeV"
if int(binnumber)==9   : print "N(jets)=1, N(b-tag)>=1, pT(jet) [350,450] GeV"
if int(binnumber)==10  : print "N(jets)=1, N(b-tag)>=1, pT(jet) [450,575] GeV"
if int(binnumber)==11  : print "N(jets)=1, N(b-tag)>=1, pT(jet) [575,700] GeV"
if int(binnumber)==12  : print "N(jets)=1, N(b-tag)>=1, pT(jet) >700 GeV"


### Very low HT
if int(binnumber)==13  : print "HT [250,450] GeV, N(jets) [2,3], N(b-tag)=0, MT2 [200,300] GeV"
if int(binnumber)==14  : print "HT [250,450] GeV, N(jets) [2,3], N(b-tag)=0, MT2 [300,400] GeV"
if int(binnumber)==15  : print "HT [250,450] GeV, N(jets) [2,3], N(b-tag)=0, MT2 >400 GeV"

if int(binnumber)==16  : print "HT [250,450] GeV, N(jets) [2,3], N(b-tag)=1, MT2 [200,300] GeV"
if int(binnumber)==17  : print "HT [250,450] GeV, N(jets) [2,3], N(b-tag)=1, MT2 [300,400] GeV"
if int(binnumber)==18  : print "HT [250,450] GeV, N(jets) [2,3], N(b-tag)=1, MT2 >400 GeV"

if int(binnumber)==19  : print "HT [250,450] GeV, N(jets) [2,3], N(b-tag)=2, MT2 [200,300] GeV"
if int(binnumber)==20  : print "HT [250,450] GeV, N(jets) [2,3], N(b-tag)=2, MT2 [300,400] GeV"
if int(binnumber)==21  : print "HT [250,450] GeV, N(jets) [2,3], N(b-tag)=2, MT2 >400 GeV"

if int(binnumber)==22  : print "HT [250,450] GeV, N(jets)>=2, N(b-tag)>=3, MT2 [200,300] GeV"
if int(binnumber)==23  : print "HT [250,450] GeV, N(jets)>=2, N(b-tag)>=3, MT2 [300,400] GeV"
if int(binnumber)==24  : print "HT [250,450] GeV, N(jets)>=2, N(b-tag)>=3, MT2 >400 GeV"

if int(binnumber)==25  : print "HT [250,450] GeV, N(jets)>=4, N(b-tag)=0, MT2 [200,300] GeV"
if int(binnumber)==26  : print "HT [250,450] GeV, N(jets)>=4, N(b-tag)=0, MT2 [300,400] GeV"
if int(binnumber)==27  : print "HT [250,450] GeV, N(jets)>=4, N(b-tag)=0, MT2 >400 GeV"
                                                         
if int(binnumber)==28  : print "HT [250,450] GeV, N(jets)>=4, N(b-tag)=1, MT2 [200,300] GeV"
if int(binnumber)==29  : print "HT [250,450] GeV, N(jets)>=4, N(b-tag)=1, MT2 [300,400] GeV"
if int(binnumber)==30  : print "HT [250,450] GeV, N(jets)>=4, N(b-tag)=1, MT2 >400 GeV"

if int(binnumber)==31  : print "HT [250,450] GeV, N(jets)>=4, N(b-tag)=2, MT2 [200,300] GeV"
if int(binnumber)==32  : print "HT [250,450] GeV, N(jets)>=4, N(b-tag)=2, MT2 [300,400] GeV"
if int(binnumber)==33  : print "HT [250,450] GeV, N(jets)>=4, N(b-tag)=2, MT2 >400 GeV"


### Low HT
if int(binnumber)==34  : print "HT [450,575] GeV, N(jets) [2,3], N(b-tag)=0, MT2 [200,300] GeV"
if int(binnumber)==35  : print "HT [450,575] GeV, N(jets) [2,3], N(b-tag)=0, MT2 [300,400] GeV"
if int(binnumber)==36  : print "HT [450,575] GeV, N(jets) [2,3], N(b-tag)=0, MT2 [400,500] GeV"
if int(binnumber)==37  : print "HT [450,575] GeV, N(jets) [2,3], N(b-tag)=0, MT2 >500 GeV"

if int(binnumber)==38  : print "HT [450,575] GeV, N(jets) [2,3], N(b-tag)=1, MT2 [200,300] GeV"
if int(binnumber)==39  : print "HT [450,575] GeV, N(jets) [2,3], N(b-tag)=1, MT2 [300,400] GeV"
if int(binnumber)==40  : print "HT [450,575] GeV, N(jets) [2,3], N(b-tag)=1, MT2 [400,500] GeV"
if int(binnumber)==41  : print "HT [450,575] GeV, N(jets) [2,3], N(b-tag)=1, MT2 >500 GeV"

if int(binnumber)==42  : print "HT [450,575] GeV, N(jets) [2,3], N(b-tag)=2, MT2 [200,300] GeV"
if int(binnumber)==43  : print "HT [450,575] GeV, N(jets) [2,3], N(b-tag)=2, MT2 [300,400] GeV"
if int(binnumber)==44  : print "HT [450,575] GeV, N(jets) [2,3], N(b-tag)=2, MT2 [400,500] GeV"
if int(binnumber)==45  : print "HT [450,575] GeV, N(jets) [2,3], N(b-tag)=2, MT2 >500 GeV"

if int(binnumber)==46  : print "HT [450,575] GeV, N(jets) [2,6], N(b-tag)>=3, MT2 [200,300] GeV"
if int(binnumber)==47  : print "HT [450,575] GeV, N(jets) [2,6], N(b-tag)>=3, MT2 [300,400] GeV"
if int(binnumber)==48  : print "HT [450,575] GeV, N(jets) [2,6], N(b-tag)>=3, MT2 [400,500] GeV"
if int(binnumber)==49  : print "HT [450,575] GeV, N(jets) [2,6], N(b-tag)>=3, MT2 >500 GeV"

if int(binnumber)==50  : print "HT [450,575] GeV, N(jets) [4,6], N(b-tag)=0, MT2 [200,300] GeV"
if int(binnumber)==51  : print "HT [450,575] GeV, N(jets) [4,6], N(b-tag)=0, MT2 [300,400] GeV"
if int(binnumber)==52  : print "HT [450,575] GeV, N(jets) [4,6], N(b-tag)=0, MT2 [400,500] GeV"
if int(binnumber)==53  : print "HT [450,575] GeV, N(jets) [4,6], N(b-tag)=0, MT2 >500 GeV"

if int(binnumber)==54  : print "HT [450,575] GeV, N(jets) [4,6], N(b-tag)=1, MT2 [200,300] GeV"
if int(binnumber)==55  : print "HT [450,575] GeV, N(jets) [4,6], N(b-tag)=1, MT2 [300,400] GeV"
if int(binnumber)==56  : print "HT [450,575] GeV, N(jets) [4,6], N(b-tag)=1, MT2 [400,500] GeV"
if int(binnumber)==57  : print "HT [450,575] GeV, N(jets) [4,6], N(b-tag)=1, MT2 >500 GeV"

if int(binnumber)==58  : print "HT [450,575] GeV, N(jets) [4,6], N(b-tag)=2, MT2 [200,300] GeV"
if int(binnumber)==59  : print "HT [450,575] GeV, N(jets) [4,6], N(b-tag)=2, MT2 [300,400] GeV"
if int(binnumber)==60  : print "HT [450,575] GeV, N(jets) [4,6], N(b-tag)=2, MT2 [400,500] GeV"
if int(binnumber)==61  : print "HT [450,575] GeV, N(jets) [4,6], N(b-tag)=2, MT2 >500 GeV"

if int(binnumber)==62  : print "HT [450,575] GeV, N(jets)>=7, N(b-tag)=0, MT2 [200,300] GeV"
if int(binnumber)==63  : print "HT [450,575] GeV, N(jets)>=7, N(b-tag)=0, MT2 [300,400] GeV"
if int(binnumber)==64  : print "HT [450,575] GeV, N(jets)>=7, N(b-tag)=0, MT2 >400 GeV"

if int(binnumber)==65  : print "HT [450,575] GeV, N(jets)>=7, N(b-tag)=1, MT2 [200,300] GeV"
if int(binnumber)==66  : print "HT [450,575] GeV, N(jets)>=7, N(b-tag)=1, MT2 [300,400] GeV"
if int(binnumber)==67  : print "HT [450,575] GeV, N(jets)>=7, N(b-tag)=1, MT2 >400 GeV"

if int(binnumber)==68  : print "HT [450,575] GeV, N(jets)>=7, N(b-tag)=2, MT2 [200,300] GeV"
if int(binnumber)==69  : print "HT [450,575] GeV, N(jets)>=7, N(b-tag)=2, MT2 [300,400] GeV"
if int(binnumber)==70  : print "HT [450,575] GeV, N(jets)>=7, N(b-tag)=2, MT2 >400 GeV"

if int(binnumber)==71  : print "HT [450,575] GeV, N(jets)>=7, N(b-tag)>=3, MT2 [200,300] GeV"
if int(binnumber)==72  : print "HT [450,575] GeV, N(jets)>=7, N(b-tag)>=3, MT2 [300,400] GeV"
if int(binnumber)==73  : print "HT [450,575] GeV, N(jets)>=7, N(b-tag)>=3, MT2 >400 GeV"


### Medium HT
if int(binnumber)==74  : print "HT [575,1000] GeV, N(jets) [2,3], N(b-tag)=0, MT2 [200,300] GeV"
if int(binnumber)==75  : print "HT [575,1000] GeV, N(jets) [2,3], N(b-tag)=0, MT2 [300,400] GeV"
if int(binnumber)==76  : print "HT [575,1000] GeV, N(jets) [2,3], N(b-tag)=0, MT2 [400,600] GeV"
if int(binnumber)==77  : print "HT [575,1000] GeV, N(jets) [2,3], N(b-tag)=0, MT2 [600,800] GeV"
if int(binnumber)==78  : print "HT [575,1000] GeV, N(jets) [2,3], N(b-tag)=0, MT2 >800 GeV"

if int(binnumber)==79  : print "HT [575,1000] GeV, N(jets) [2,3], N(b-tag)=1, MT2 [200,300] GeV"
if int(binnumber)==80  : print "HT [575,1000] GeV, N(jets) [2,3], N(b-tag)=1, MT2 [300,400] GeV"
if int(binnumber)==81  : print "HT [575,1000] GeV, N(jets) [2,3], N(b-tag)=1, MT2 [400,600] GeV"
if int(binnumber)==82  : print "HT [575,1000] GeV, N(jets) [2,3], N(b-tag)=1, MT2 [600,800] GeV"
if int(binnumber)==83  : print "HT [575,1000] GeV, N(jets) [2,3], N(b-tag)=1, MT2 >800 GeV"

if int(binnumber)==84  : print "HT [575,1000] GeV, N(jets) [2,3], N(b-tag)=2, MT2 [200,300] GeV"
if int(binnumber)==85  : print "HT [575,1000] GeV, N(jets) [2,3], N(b-tag)=2, MT2 [300,400] GeV"
if int(binnumber)==86  : print "HT [575,1000] GeV, N(jets) [2,3], N(b-tag)=2, MT2 [400,600] GeV"
if int(binnumber)==87  : print "HT [575,1000] GeV, N(jets) [2,3], N(b-tag)=2, MT2 [600,800] GeV"
if int(binnumber)==88  : print "HT [575,1000] GeV, N(jets) [2,3], N(b-tag)=2, MT2 >800 GeV"

if int(binnumber)==89  : print "HT [575,1000] GeV, N(jets) [2,6], N(b-tag)>=3, MT2 [200,300] GeV"
if int(binnumber)==90  : print "HT [575,1000] GeV, N(jets) [2,6], N(b-tag)>=3, MT2 [300,400] GeV"
if int(binnumber)==91  : print "HT [575,1000] GeV, N(jets) [2,6], N(b-tag)>=3, MT2 [400,600] GeV"
if int(binnumber)==92  : print "HT [575,1000] GeV, N(jets) [2,6], N(b-tag)>=3, MT2 >600 GeV"

if int(binnumber)==93  : print "HT [575,1000] GeV, N(jets) [4,6], N(b-tag)=0, MT2 [200,300] GeV"
if int(binnumber)==94  : print "HT [575,1000] GeV, N(jets) [4,6], N(b-tag)=0, MT2 [300,400] GeV"
if int(binnumber)==95  : print "HT [575,1000] GeV, N(jets) [4,6], N(b-tag)=0, MT2 [400,600] GeV"
if int(binnumber)==96  : print "HT [575,1000] GeV, N(jets) [4,6], N(b-tag)=0, MT2 [600,800] GeV"
if int(binnumber)==97  : print "HT [575,1000] GeV, N(jets) [4,6], N(b-tag)=0, MT2 >800 GeV"

if int(binnumber)==98  : print "HT [575,1000] GeV, N(jets) [4,6], N(b-tag)=1, MT2 [200,300] GeV"
if int(binnumber)==99  : print "HT [575,1000] GeV, N(jets) [4,6], N(b-tag)=1, MT2 [300,400] GeV"
if int(binnumber)==100 : print "HT [575,1000] GeV, N(jets) [4,6], N(b-tag)=1, MT2 [400,600] GeV"
if int(binnumber)==101 : print "HT [575,1000] GeV, N(jets) [4,6], N(b-tag)=1, MT2 [600,800] GeV"
if int(binnumber)==102 : print "HT [575,1000] GeV, N(jets) [4,6], N(b-tag)=1, MT2 >800 GeV"

if int(binnumber)==103 : print "HT [575,1000] GeV, N(jets) [4,6], N(b-tag)=2, MT2 [200,300] GeV"
if int(binnumber)==104 : print "HT [575,1000] GeV, N(jets) [4,6], N(b-tag)=2, MT2 [300,400] GeV"
if int(binnumber)==105 : print "HT [575,1000] GeV, N(jets) [4,6], N(b-tag)=2, MT2 [400,600] GeV"
if int(binnumber)==106 : print "HT [575,1000] GeV, N(jets) [4,6], N(b-tag)=2, MT2 [600,800] GeV"
if int(binnumber)==107 : print "HT [575,1000] GeV, N(jets) [4,6], N(b-tag)=2, MT2 >800 GeV"

if int(binnumber)==108 : print "HT [575,1000] GeV, N(jets)>=7, N(b-tag)=0, MT2 [200,300] GeV"
if int(binnumber)==109 : print "HT [575,1000] GeV, N(jets)>=7, N(b-tag)=0, MT2 [300,400] GeV"
if int(binnumber)==110 : print "HT [575,1000] GeV, N(jets)>=7, N(b-tag)=0, MT2 [400,600] GeV"
if int(binnumber)==111 : print "HT [575,1000] GeV, N(jets)>=7, N(b-tag)=0, MT2 [600,800] GeV"
if int(binnumber)==112 : print "HT [575,1000] GeV, N(jets)>=7, N(b-tag)=0, MT2 >800 GeV"

if int(binnumber)==113 : print "HT [575,1000] GeV, N(jets)>=7, N(b-tag)=1, MT2 [200,300] GeV"
if int(binnumber)==114 : print "HT [575,1000] GeV, N(jets)>=7, N(b-tag)=1, MT2 [300,400] GeV"
if int(binnumber)==115 : print "HT [575,1000] GeV, N(jets)>=7, N(b-tag)=1, MT2 [400,600] GeV"
if int(binnumber)==116 : print "HT [575,1000] GeV, N(jets)>=7, N(b-tag)=1, MT2 >600 GeV"

if int(binnumber)==117 : print "HT [575,1000] GeV, N(jets)>=7, N(b-tag)=2, MT2 [200,300] GeV"
if int(binnumber)==118 : print "HT [575,1000] GeV, N(jets)>=7, N(b-tag)=2, MT2 [300,400] GeV"
if int(binnumber)==119 : print "HT [575,1000] GeV, N(jets)>=7, N(b-tag)=2, MT2 [400,600] GeV"
if int(binnumber)==120 : print "HT [575,1000] GeV, N(jets)>=7, N(b-tag)=2, MT2 >600 GeV"

if int(binnumber)==121 : print "HT [575,1000] GeV, N(jets)>=7, N(b-tag)>=3, MT2 [200,300] GeV"
if int(binnumber)==122 : print "HT [575,1000] GeV, N(jets)>=7, N(b-tag)>=3, MT2 [300,400] GeV"
if int(binnumber)==123 : print "HT [575,1000] GeV, N(jets)>=7, N(b-tag)>=3, MT2 [400,600] GeV"
if int(binnumber)==124 : print "HT [575,1000] GeV, N(jets)>=7, N(b-tag)>=3, MT2 >600 GeV"


### High HT
if int(binnumber)==125 : print "HT [1000,1500] GeV, N(jets) [2,3], N(b-tag)=0, MT2 [200,400] GeV"  
if int(binnumber)==126 : print "HT [1000,1500] GeV, N(jets) [2,3], N(b-tag)=0, MT2 [400,600] GeV"  
if int(binnumber)==127 : print "HT [1000,1500] GeV, N(jets) [2,3], N(b-tag)=0, MT2 [600,800] GeV"  
if int(binnumber)==128 : print "HT [1000,1500] GeV, N(jets) [2,3], N(b-tag)=0, MT2 [800,1000] GeV" 
if int(binnumber)==129 : print "HT [1000,1500] GeV, N(jets) [2,3], N(b-tag)=0, MT2 [1000,1200] GeV"
if int(binnumber)==130 : print "HT [1000,1500] GeV, N(jets) [2,3], N(b-tag)=0, MT2 >1200 GeV" 

if int(binnumber)==131 : print "HT [1000,1500] GeV, N(jets) [2,3], N(b-tag)=1, MT2 [200,400] GeV"
if int(binnumber)==132 : print "HT [1000,1500] GeV, N(jets) [2,3], N(b-tag)=1, MT2 [400,600] GeV"
if int(binnumber)==133 : print "HT [1000,1500] GeV, N(jets) [2,3], N(b-tag)=1, MT2 [600,800] GeV"
if int(binnumber)==134 : print "HT [1000,1500] GeV, N(jets) [2,3], N(b-tag)=1, MT2 [800,1000] GeV"
if int(binnumber)==135 : print "HT [1000,1500] GeV, N(jets) [2,3], N(b-tag)=1, MT2 [1000,1200] GeV"
if int(binnumber)==136 : print "HT [1000,1500] GeV, N(jets) [2,3], N(b-tag)=1, MT2 >1200 GeV"

if int(binnumber)==137 : print "HT [1000,1500] GeV, N(jets) [2,3], N(b-tag)=2, MT2 [200,400] GeV"
if int(binnumber)==138 : print "HT [1000,1500] GeV, N(jets) [2,3], N(b-tag)=2, MT2 [400,600] GeV"
if int(binnumber)==139 : print "HT [1000,1500] GeV, N(jets) [2,3], N(b-tag)=2, MT2 [600,800] GeV"
if int(binnumber)==140 : print "HT [1000,1500] GeV, N(jets) [2,3], N(b-tag)=2, MT2 [800,1000] GeV"
if int(binnumber)==141 : print "HT [1000,1500] GeV, N(jets) [2,3], N(b-tag)=2, MT2 >1000 GeV"

if int(binnumber)==142 : print "HT [1000,1500] GeV, N(jets) [2,6], N(b-tag)>=3, MT2 [200,400] GeV"
if int(binnumber)==143 : print "HT [1000,1500] GeV, N(jets) [2,6], N(b-tag)>=3, MT2 [400,600] GeV"
if int(binnumber)==144 : print "HT [1000,1500] GeV, N(jets) [2,6], N(b-tag)>=3, MT2 >600 GeV"

if int(binnumber)==145 : print "HT [1000,1500] GeV, N(jets) [4,6], N(b-tag)=0, MT2 [200,400] GeV"
if int(binnumber)==146 : print "HT [1000,1500] GeV, N(jets) [4,6], N(b-tag)=0, MT2 [400,600] GeV"
if int(binnumber)==147 : print "HT [1000,1500] GeV, N(jets) [4,6], N(b-tag)=0, MT2 [600,800] GeV"
if int(binnumber)==148 : print "HT [1000,1500] GeV, N(jets) [4,6], N(b-tag)=0, MT2 [800,1000] GeV"
if int(binnumber)==149 : print "HT [1000,1500] GeV, N(jets) [4,6], N(b-tag)=0, MT2 [1000,1200] GeV"
if int(binnumber)==150 : print "HT [1000,1500] GeV, N(jets) [4,6], N(b-tag)=0, MT2 >1200 GeV"

if int(binnumber)==151 : print "HT [1000,1500] GeV, N(jets) [4,6], N(b-tag)=1, MT2 [200,400] GeV"
if int(binnumber)==152 : print "HT [1000,1500] GeV, N(jets) [4,6], N(b-tag)=1, MT2 [400,600] GeV"
if int(binnumber)==153 : print "HT [1000,1500] GeV, N(jets) [4,6], N(b-tag)=1, MT2 [600,800] GeV"
if int(binnumber)==154 : print "HT [1000,1500] GeV, N(jets) [4,6], N(b-tag)=1, MT2 [800,1000] GeV"
if int(binnumber)==155 : print "HT [1000,1500] GeV, N(jets) [4,6], N(b-tag)=1, MT2 [1000,1200] GeV"
if int(binnumber)==156 : print "HT [1000,1500] GeV, N(jets) [4,6], N(b-tag)=1, MT2 >1200 GeV"

if int(binnumber)==157 : print "HT [1000,1500] GeV, N(jets) [4,6], N(b-tag)=2, MT2 [200,400] GeV"
if int(binnumber)==158 : print "HT [1000,1500] GeV, N(jets) [4,6], N(b-tag)=2, MT2 [400,600] GeV"
if int(binnumber)==159 : print "HT [1000,1500] GeV, N(jets) [4,6], N(b-tag)=2, MT2 [600,800] GeV"
if int(binnumber)==160 : print "HT [1000,1500] GeV, N(jets) [4,6], N(b-tag)=2, MT2 [800,1000] GeV"
if int(binnumber)==161 : print "HT [1000,1500] GeV, N(jets) [4,6], N(b-tag)=2, MT2 >1000 GeV"

if int(binnumber)==162 : print "HT [1000,1500] GeV, N(jets)>=7, N(b-tag)=0, MT2 [200,400] GeV"
if int(binnumber)==163 : print "HT [1000,1500] GeV, N(jets)>=7, N(b-tag)=0, MT2 [400,600] GeV"
if int(binnumber)==164 : print "HT [1000,1500] GeV, N(jets)>=7, N(b-tag)=0, MT2 [600,800] GeV"
if int(binnumber)==165 : print "HT [1000,1500] GeV, N(jets)>=7, N(b-tag)=0, MT2 [800,1000] GeV"
if int(binnumber)==166 : print "HT [1000,1500] GeV, N(jets)>=7, N(b-tag)=0, MT2 >1000 GeV"

if int(binnumber)==167 : print "HT [1000,1500] GeV, N(jets)>=7, N(b-tag)=1, MT2 [200,400] GeV"
if int(binnumber)==168 : print "HT [1000,1500] GeV, N(jets)>=7, N(b-tag)=1, MT2 [400,600] GeV"
if int(binnumber)==169 : print "HT [1000,1500] GeV, N(jets)>=7, N(b-tag)=1, MT2 [600,800] GeV"
if int(binnumber)==170 : print "HT [1000,1500] GeV, N(jets)>=7, N(b-tag)=1, MT2 >800 GeV"

if int(binnumber)==171 : print "HT [1000,1500] GeV, N(jets)>=7, N(b-tag)=2, MT2 [200,400] GeV"
if int(binnumber)==172 : print "HT [1000,1500] GeV, N(jets)>=7, N(b-tag)=2, MT2 [400,600] GeV"
if int(binnumber)==173 : print "HT [1000,1500] GeV, N(jets)>=7, N(b-tag)=2, MT2 [600,800] GeV"
if int(binnumber)==174 : print "HT [1000,1500] GeV, N(jets)>=7, N(b-tag)=2, MT2 >800 GeV"

if int(binnumber)==175 : print "HT [1000,1500] GeV, N(jets)>=7, N(b-tag)>=3, MT2 [200,400] GeV"
if int(binnumber)==176 : print "HT [1000,1500] GeV, N(jets)>=7, N(b-tag)>=3, MT2 [400,600] GeV"
if int(binnumber)==177 : print "HT [1000,1500] GeV, N(jets)>=7, N(b-tag)>=3, MT2 >600 GeV"


### Ultra-high HT
if int(binnumber)==178 : print "HT >1500 geV, N(jets) [2,3], N(b-tag)=0, MT2 [400,600] GeV"  
if int(binnumber)==179 : print "HT >1500 geV, N(jets) [2,3], N(b-tag)=0, MT2 [600,800] GeV"  
if int(binnumber)==180 : print "HT >1500 geV, N(jets) [2,3], N(b-tag)=0, MT2 [800,1000] GeV" 
if int(binnumber)==181 : print "HT >1500 geV, N(jets) [2,3], N(b-tag)=0, MT2 [1000,1400] GeV"
if int(binnumber)==182 : print "HT >1500 geV, N(jets) [2,3], N(b-tag)=0, MT2 >1400 GeV"

if int(binnumber)==183 : print "HT >1500 geV, N(jets) [2,3], N(b-tag)=1, MT2 [400,600] GeV"
if int(binnumber)==184 : print "HT >1500 geV, N(jets) [2,3], N(b-tag)=1, MT2 [600,800] GeV"
if int(binnumber)==185 : print "HT >1500 geV, N(jets) [2,3], N(b-tag)=1, MT2 [800,1000] GeV"
if int(binnumber)==186 : print "HT >1500 geV, N(jets) [2,3], N(b-tag)=1, MT2 >1000 GeV"

if int(binnumber)==187 : print "HT >1500 geV, N(jets) [2,3], N(b-tag)=2, MT2 >400 GeV"

if int(binnumber)==188 : print "HT >1500 geV, N(jets) [2,6], N(b-tag)>=3, MT2 [400,600] GeV"
if int(binnumber)==189 : print "HT >1500 geV, N(jets) [2,6], N(b-tag)>=3, MT2 >600 GeV"

if int(binnumber)==190 : print "HT >1500 geV, N(jets) [4,6], N(b-tag)=0, MT2 [400,600] GeV"
if int(binnumber)==191 : print "HT >1500 geV, N(jets) [4,6], N(b-tag)=0, MT2 [600,800] GeV"
if int(binnumber)==192 : print "HT >1500 geV, N(jets) [4,6], N(b-tag)=0, MT2 [800,1000] GeV"
if int(binnumber)==193 : print "HT >1500 geV, N(jets) [4,6], N(b-tag)=0, MT2 [1000,1400] GeV"
if int(binnumber)==194 : print "HT >1500 geV, N(jets) [4,6], N(b-tag)=0, MT2 >1400 GeV"

if int(binnumber)==195 : print "HT >1500 geV, N(jets) [4,6], N(b-tag)=1, MT2 [400,600] GeV"
if int(binnumber)==196 : print "HT >1500 geV, N(jets) [4,6], N(b-tag)=1, MT2 [600,800] GeV"
if int(binnumber)==197 : print "HT >1500 geV, N(jets) [4,6], N(b-tag)=1, MT2 [800,1000] GeV"
if int(binnumber)==198 : print "HT >1500 geV, N(jets) [4,6], N(b-tag)=1, MT2 [1000,1400] GeV"
if int(binnumber)==199 : print "HT >1500 geV, N(jets) [4,6], N(b-tag)=1, MT2 >1400 GeV"

if int(binnumber)==200 : print "HT >1500 geV, N(jets) [4,6], N(b-tag)=2, MT2 [400,600] GeV"
if int(binnumber)==201 : print "HT >1500 geV, N(jets) [4,6], N(b-tag)=2, MT2 [600,800] GeV"
if int(binnumber)==202 : print "HT >1500 geV, N(jets) [4,6], N(b-tag)=2, MT2 >800 GeV"

if int(binnumber)==203 : print "HT >1500 geV, N(jets)>=7, N(b-tag)=0, MT2 [400,600] GeV"
if int(binnumber)==204 : print "HT >1500 geV, N(jets)>=7, N(b-tag)=0, MT2 [600,800] GeV"
if int(binnumber)==205 : print "HT >1500 geV, N(jets)>=7, N(b-tag)=0, MT2 [800,1000] GeV"
if int(binnumber)==206 : print "HT >1500 geV, N(jets)>=7, N(b-tag)=0, MT2 >1000 GeV"

if int(binnumber)==207 : print "HT >1500 geV, N(jets)>=7, N(b-tag)=1, MT2 [400,600] GeV"
if int(binnumber)==208 : print "HT >1500 geV, N(jets)>=7, N(b-tag)=1, MT2 [600,800] GeV"
if int(binnumber)==209 : print "HT >1500 geV, N(jets)>=7, N(b-tag)=1, MT2 >800 GeV"

if int(binnumber)==210 : print "HT >1500 geV, N(jets)>=7, N(b-tag)=2, MT2 [400,600] GeV"
if int(binnumber)==211 : print "HT >1500 geV, N(jets)>=7, N(b-tag)=2, MT2 [600,800] GeV"
if int(binnumber)==212 : print "HT >1500 geV, N(jets)>=7, N(b-tag)=2, MT2 >800 GeV"

if int(binnumber)==213 : print "HT >1500 geV, N(jets)>=7, N(b-tag)>=3, MT2 >400 GeV"

bkglines = []
###bkgline = "Z(nu,nu) prediction & Lost lepton prediction & Multijet prediction & Total background & Observation"

bkglines.append("42900 $^{+497}_{-491}$(stat) $\pm 2370$(syst) & 19500 $^{+135}_{-134}$(stat) $\pm 1240$(syst) & 853 $\pm 14$(stat) $\pm 118$(syst) & 63253 $^{+515}_{-509}$(stat) $\pm 2677$(syst) & 67052")
bkglines.append("9840 $^{+221}_{-216}$(stat) $\pm 549$(syst) & 3630 $\pm 42$(stat) $\pm 233$(syst) & 209 $^{+6}_{-5}$(stat) $\pm 35$(syst) & 13679 $^{+225}_{-220}$(stat) $\pm 597$(syst) & 14301")
bkglines.append("2730 $^{+114}_{-110}$(stat) $\pm 154$(syst) & 780 $\pm 18$(stat) $\pm 52$(syst) & 34 $\pm 2$(stat) $\pm 12$(syst) & 3544 $^{+115}_{-111}$(stat) $\pm 163$(syst) & 3590")
bkglines.append("667 $^{+54}_{-50}$(stat) $\pm 38$(syst) & 153 $^{+9}_{-8}$(stat) $\pm 13$(syst) & 2.7 $\pm 0.3$(stat) $\pm 2.7$(syst) & 823 $^{+55}_{-51}$(stat) $\pm 40$(syst) & 869")
bkglines.append("278 $^{+37}_{-33}$(stat) $\pm 17$(syst) & 43 $^{+6}_{-5}$(stat) $\pm 6$(syst) & 2.0 $^{+0.5}_{-0.4}$(stat) $\pm 1.8$(syst) & 323 $^{+38}_{-33}$(stat) $\pm 18$(syst) & 336")
bkglines.append("41 $^{+18}_{-13}$(stat) $\pm 8$(syst) & 0.7 $^{+1.7}_{-0.6}$(stat) $\pm 0.7$(syst) & 0.1 $\pm 0.1$(stat) $\pm 0.1$(syst) & 42 $^{+18}_{-13}$(stat) $\pm 8$(syst) & 15")
bkglines.append("12 $^{+12}_{-7}$(stat) $\pm 8$(syst) & 2.1 $^{+4.9}_{-1.8}$(stat) $\pm 2.1$(syst) & $< 0.01$ & 15 $^{+13}_{-7}$(stat) $\pm 8$(syst) & 7")
bkglines.append("2300 $^{+110}_{-105}$(stat) $\pm 143$(syst) & 992 $^{+31}_{-30}$(stat) $\pm 70$(syst) & 110 $^{+6}_{-5}$(stat) $\pm 44$(syst) & 3402 $^{+114}_{-109}$(stat) $\pm 165$(syst) & 3521")
bkglines.append("517 $^{+50}_{-46}$(stat) $\pm 36$(syst) & 219 $^{+11}_{-10}$(stat) $\pm 17$(syst) & 35 $\pm 3$(stat) $\pm 14$(syst) & 771 $^{+51}_{-47}$(stat) $\pm 43$(syst) & 845")
bkglines.append("172 $^{+31}_{-27}$(stat) $\pm 14$(syst) & 45 $^{+5}_{-4}$(stat) $\pm 5$(syst) & 2.7 $\pm 0.4$(stat) $\pm 2.7$(syst) & 219 $^{+32}_{-27}$(stat) $\pm 15$(syst) & 215")
bkglines.append("87 $^{+25}_{-20}$(stat) $\pm 10$(syst) & 10 $\pm 2$(stat) $\pm 2$(syst) & $< 0.01$ & 97 $^{+25}_{-20}$(stat) $\pm 11$(syst) & 62")
bkglines.append("17 $^{+12}_{-7}$(stat) $\pm 6$(syst) & 3.8 $^{+2.0}_{-1.4}$(stat) $\pm 1.5$(syst) & $< 0.01$ & 21 $^{+12}_{-8}$(stat) $\pm 7$(syst) & 38")
bkglines.append("41000 $^{+440}_{-436}$(stat) $\pm 2980$(syst) & 19300 $^{+169}_{-167}$(stat) $\pm 1240$(syst) & 24 $\pm 0$(stat) $^{+33}_{-24}$(syst) & 60324 $^{+471}_{-467}$(stat) $\pm 3228$(syst) & 63791")
bkglines.append("8030 $^{+86}_{-85}$(stat) $\pm 615$(syst) & 3420 $^{+82}_{-80}$(stat) $\pm 247$(syst) & 1.4 $\pm 0.1$(stat) $^{+2.5}_{-1.4}$(syst) & 11451 $^{+119}_{-117}$(stat) $\pm 663$(syst) & 11758")
bkglines.append("397 $\pm 4$(stat) $\pm 53$(syst) & 143 $\pm 3$(stat) $\pm 59$(syst) & 0.02 $\pm 0.01$(stat) $^{+0.04}_{-0.02}$(syst) & 540 $\pm 5$(stat) $\pm 79$(syst) & 541")
bkglines.append("4520 $^{+145}_{-140}$(stat) $\pm 339$(syst) & 2950 $^{+60}_{-59}$(stat) $\pm 200$(syst) & 9 $\pm 0$(stat) $^{+13}_{-9}$(syst) & 7479 $^{+157}_{-152}$(stat) $\pm 394$(syst) & 7814")
bkglines.append("886 $\pm 28$(stat) $\pm 70$(syst) & 587 $^{+33}_{-31}$(stat) $\pm 54$(syst) & 0.5 $\pm 0.0$(stat) $^{+1.0}_{-0.5}$(syst) & 1474 $^{+44}_{-42}$(stat) $\pm 88$(syst) & 1477")
bkglines.append("44 $\pm 1$(stat) $\pm 6$(syst) & 22 $\pm 1$(stat) $\pm 10$(syst) & 0.01 $\pm 0.00$(stat) $\pm 0.01$(syst) & 66 $\pm 2$(stat) $\pm 11$(syst) & 70")
bkglines.append("556 $^{+52}_{-48}$(stat) $\pm 51$(syst) & 426 $^{+21}_{-20}$(stat) $\pm 40$(syst) & 1.4 $\pm 0.0$(stat) $^{+2.0}_{-1.4}$(syst) & 983 $^{+56}_{-52}$(stat) $\pm 65$(syst) & 960")
bkglines.append("109 $^{+10}_{-9}$(stat) $\pm 10$(syst) & 79 $\pm 4$(stat) $\pm 17$(syst) & 0.1 $\pm 0.0$(stat) $^{+0.2}_{-0.1}$(syst) & 188 $^{+11}_{-10}$(stat) $\pm 20$(syst) & 177")
bkglines.append("5.4 $\pm 0.5$(stat) $\pm 0.8$(syst) & 3.0 $\pm 0.1$(stat) $\pm 1.4$(syst) & $< 0.01$ & 8.4 $\pm 0.5$(stat) $\pm 1.6$(syst) & 6")
bkglines.append("33 $^{+18}_{-12}$(stat) $\pm 11$(syst) & 68 $^{+10}_{-9}$(stat) $\pm 11$(syst) & 1.6 $\pm 0.0$(stat) $^{+2.5}_{-1.6}$(syst) & 102 $^{+20}_{-15}$(stat) $\pm 15$(syst) & 123")
bkglines.append("7.8 $^{+4.2}_{-2.9}$(stat) $\pm 2.6$(syst) & 8.0 $^{+1.2}_{-1.0}$(stat) $\pm 2.2$(syst) & 0.1 $\pm 0.0$(stat) $^{+0.2}_{-0.1}$(syst) & 16 $^{+4}_{-3}$(stat) $\pm 3$(syst) & 22")
bkglines.append("0.3 $^{+0.2}_{-0.1}$(stat) $\pm 0.1$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & $< 0.01$ & 0.4 $^{+0.2}_{-0.1}$(stat) $\pm 0.2$(syst) & 0")
bkglines.append("5370 $^{+162}_{-157}$(stat) $\pm 432$(syst) & 3410 $^{+69}_{-68}$(stat) $\pm 232$(syst) & 44 $\pm 1$(stat) $^{+60}_{-44}$(syst) & 8824 $^{+176}_{-171}$(stat) $\pm 494$(syst) & 8901")
bkglines.append("1290 $^{+39}_{-38}$(stat) $\pm 129$(syst) & 513 $^{+31}_{-29}$(stat) $\pm 49$(syst) & 2.6 $\pm 0.1$(stat) $^{+4.7}_{-2.6}$(syst) & 1806 $^{+50}_{-48}$(stat) $\pm 138$(syst) & 1763")
bkglines.append("48 $\pm 1$(stat) $\pm 20$(syst) & 12 $\pm 1$(stat) $\pm 5$(syst) & 0.0 $\pm 0.0$(stat) $^{+0.1}_{-0.0}$(syst) & 60 $\pm 2$(stat) $\pm 20$(syst) & 61")
bkglines.append("997 $^{+69}_{-64}$(stat) $\pm 88$(syst) & 1440 $^{+42}_{-40}$(stat) $\pm 103$(syst) & 24 $\pm 0$(stat) $^{+33}_{-24}$(syst) & 2461 $^{+80}_{-76}$(stat) $\pm 139$(syst) & 2537")
bkglines.append("240 $^{+17}_{-16}$(stat) $\pm 25$(syst) & 195 $^{+19}_{-17}$(stat) $\pm 24$(syst) & 1.4 $\pm 0.1$(stat) $^{+2.5}_{-1.4}$(syst) & 436 $^{+25}_{-23}$(stat) $\pm 35$(syst) & 419")
bkglines.append("8.9 $\pm 0.6$(stat) $\pm 3.7$(syst) & 1.9 $\pm 0.2$(stat) $\pm 0.9$(syst) & 0.02 $\pm 0.01$(stat) $^{+0.04}_{-0.02}$(syst) & 11 $\pm 1$(stat) $\pm 4$(syst) & 8")
bkglines.append("162 $^{+31}_{-26}$(stat) $\pm 19$(syst) & 522 $^{+25}_{-24}$(stat) $\pm 44$(syst) & 7 $\pm 0$(stat) $^{+10}_{-7}$(syst) & 691 $^{+40}_{-36}$(stat) $\pm 49$(syst) & 747")
bkglines.append("39 $^{+8}_{-6}$(stat) $\pm 5$(syst) & 53 $^{+3}_{-2}$(stat) $\pm 12$(syst) & 0.4 $\pm 0.0$(stat) $^{+0.8}_{-0.4}$(syst) & 93 $^{+8}_{-7}$(stat) $\pm 13$(syst) & 102")
bkglines.append("1.4 $^{+0.3}_{-0.2}$(stat) $\pm 0.6$(syst) & 0.9 $\pm 0.0$(stat) $\pm 0.6$(syst) & 0.01 $\pm 0.00$(stat) $\pm 0.01$(syst) & 2.4 $^{+0.3}_{-0.2}$(stat) $\pm 0.8$(syst) & 3")
bkglines.append("5200 $^{+121}_{-119}$(stat) $\pm 330$(syst) & 2230 $^{+40}_{-40}$(stat) $\pm 150$(syst) & 10 $\pm 0$(stat) $\pm 8$(syst) & 7440 $^{+128}_{-125}$(stat) $\pm 363$(syst) & 7487")
bkglines.append("3000 $^{+70}_{-68}$(stat) $\pm 204$(syst) & 1060 $^{+30}_{-30}$(stat) $\pm 77$(syst) & 0.4 $\pm 0.0$(stat) $\pm 0.4$(syst) & 4060 $^{+76}_{-75}$(stat) $\pm 218$(syst) & 4061")
bkglines.append("1220 $^{+28}_{-28}$(stat) $\pm 117$(syst) & 351 $^{+22}_{-20}$(stat) $\pm 37$(syst) & 0.03 $\pm 0.00$(stat) $^{+0.04}_{-0.03}$(syst) & 1571 $^{+36}_{-35}$(stat) $\pm 123$(syst) & 1763")
bkglines.append("164 $\pm 4$(stat) $\pm 67$(syst) & 38 $\pm 2$(stat) $\pm 16$(syst) & $< 0.01$ & 202 $^{+5}_{-4}$(stat) $\pm 69$(syst) & 201")
bkglines.append("737 $^{+45}_{-43}$(stat) $\pm 50$(syst) & 303 $\pm 13$(stat) $\pm 26$(syst) & 3.9 $\pm 0.1$(stat) $\pm 3.0$(syst) & 1044 $^{+47}_{-45}$(stat) $\pm 56$(syst) & 968")
bkglines.append("425 $^{+26}_{-25}$(stat) $\pm 30$(syst) & 154 $^{+10}_{-9}$(stat) $\pm 22$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & 579 $^{+28}_{-26}$(stat) $\pm 38$(syst) & 547")
bkglines.append("173 $^{+11}_{-10}$(stat) $\pm 17$(syst) & 68 $\pm 4$(stat) $\pm 16$(syst) & 0.01 $\pm 0.00$(stat) $\pm 0.01$(syst) & 241 $\pm 11$(stat) $\pm 23$(syst) & 247")
bkglines.append("23 $\pm 1$(stat) $\pm 10$(syst) & 5.7 $^{+0.4}_{-0.3}$(stat) $\pm 2.6$(syst) & $< 0.01$ & 29 $\pm 1$(stat) $\pm 10$(syst) & 33")
bkglines.append("50 $^{+13}_{-11}$(stat) $\pm 6$(syst) & 41 $^{+4}_{-3}$(stat) $\pm 8$(syst) & 0.6 $\pm 0.0$(stat) $\pm 0.5$(syst) & 92 $^{+14}_{-11}$(stat) $\pm 10$(syst) & 113")
bkglines.append("29 $^{+8}_{-6}$(stat) $\pm 4$(syst) & 27 $\pm 2$(stat) $\pm 5$(syst) & 0.02 $\pm 0.00$(stat) $\pm 0.02$(syst) & 56 $^{+8}_{-7}$(stat) $\pm 6$(syst) & 61")
bkglines.append("12 $\pm 3$(stat) $\pm 2$(syst) & 10 $\pm 1$(stat) $\pm 3$(syst) & $< 0.01$ & 22 $\pm 3$(stat) $\pm 4$(syst) & 34")
bkglines.append("1.6 $^{+0.4}_{-0.3}$(stat) $\pm 0.7$(syst) & 0.3 $\pm 0.0$(stat) $\pm 0.2$(syst) & $< 0.01$ & 1.9 $^{+0.4}_{-0.3}$(stat) $\pm 0.7$(syst) & 6")
bkglines.append("24 $^{+13}_{-9}$(stat) $\pm 8$(syst) & 45 $^{+6}_{-5}$(stat) $\pm 7$(syst) & 0.7 $\pm 0.0$(stat) $\pm 0.7$(syst) & 70 $^{+14}_{-10}$(stat) $\pm 10$(syst) & 57")
bkglines.append("9.4 $^{+5.0}_{-3.5}$(stat) $\pm 3.0$(syst) & 12 $^{+2}_{-1}$(stat) $\pm 3$(syst) & 0.03 $\pm 0.00$(stat) $\pm 0.03$(syst) & 21 $^{+5}_{-4}$(stat) $\pm 4$(syst) & 10")
bkglines.append("3.3 $^{+1.8}_{-1.2}$(stat) $\pm 1.1$(syst) & 1.7 $\pm 0.2$(stat) $\pm 0.7$(syst) & $< 0.01$ & 5.0 $^{+1.8}_{-1.2}$(stat) $\pm 1.3$(syst) & 2")
bkglines.append("0.3 $\pm 0.1$(stat) $\pm 0.1$(syst) & 0.2 $\pm 0.0$(stat) $\pm 0.1$(syst) & $< 0.01$ & 0.4 $\pm 0.1$(stat) $\pm 0.2$(syst) & 0")
bkglines.append("2050 $^{+81}_{-78}$(stat) $\pm 154$(syst) & 1470 $^{+35}_{-34}$(stat) $\pm 102$(syst) & 25 $\pm 1$(stat) $\pm 17$(syst) & 3545 $^{+89}_{-86}$(stat) $\pm 186$(syst) & 3994")
bkglines.append("1170 $^{+46}_{-44}$(stat) $\pm 97$(syst) & 618 $^{+25}_{-24}$(stat) $\pm 49$(syst) & 0.9 $\pm 0.0$(stat) $\pm 0.9$(syst) & 1789 $^{+53}_{-51}$(stat) $\pm 109$(syst) & 1726")
bkglines.append("356 $\pm 14$(stat) $\pm 46$(syst) & 110 $^{+13}_{-12}$(stat) $\pm 16$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & 466 $^{+19}_{-18}$(stat) $\pm 48$(syst) & 462")
bkglines.append("31 $\pm 1$(stat) $\pm 13$(syst) & 7.6 $^{+0.9}_{-0.8}$(stat) $\pm 3.5$(syst) & $< 0.01$ & 38 $^{+2}_{-1}$(stat) $\pm 13$(syst) & 25")
bkglines.append("458 $^{+39}_{-36}$(stat) $\pm 37$(syst) & 654 $^{+22}_{-21}$(stat) $\pm 48$(syst) & 13 $\pm 0$(stat) $\pm 9$(syst) & 1125 $^{+45}_{-42}$(stat) $\pm 62$(syst) & 1159")
bkglines.append("260 $^{+22}_{-20}$(stat) $\pm 23$(syst) & 247 $^{+14}_{-13}$(stat) $\pm 24$(syst) & 0.5 $\pm 0.0$(stat) $\pm 0.5$(syst) & 507 $^{+26}_{-24}$(stat) $\pm 33$(syst) & 477")
bkglines.append("80 $^{+7}_{-6}$(stat) $\pm 10$(syst) & 40 $\pm 2$(stat) $\pm 9$(syst) & 0.04 $\pm 0.00$(stat) $^{+0.05}_{-0.04}$(syst) & 119 $\pm 7$(stat) $\pm 14$(syst) & 106")
bkglines.append("6.8 $^{+0.6}_{-0.5}$(stat) $\pm 2.9$(syst) & 1.1 $\pm 0.1$(stat) $\pm 0.6$(syst) & $< 0.01$ & 7.9 $^{+0.6}_{-0.5}$(stat) $\pm 2.9$(syst) & 10")
bkglines.append("79 $^{+17}_{-14}$(stat) $\pm 10$(syst) & 270 $\pm 14$(stat) $\pm 23$(syst) & 3.3 $\pm 0.1$(stat) $\pm 2.5$(syst) & 352 $^{+22}_{-20}$(stat) $\pm 25$(syst) & 384")
bkglines.append("45 $^{+10}_{-8}$(stat) $\pm 6$(syst) & 72 $^{+9}_{-8}$(stat) $\pm 10$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & 117 $^{+13}_{-12}$(stat) $\pm 12$(syst) & 109")
bkglines.append("14 $^{+3}_{-2}$(stat) $\pm 2$(syst) & 7.8 $^{+1.0}_{-0.9}$(stat) $\pm 2.1$(syst) & 0.01 $\pm 0.00$(stat) $\pm 0.01$(syst) & 22 $\pm 3$(stat) $\pm 3$(syst) & 33")
bkglines.append("1.2 $^{+0.3}_{-0.2}$(stat) $\pm 0.5$(syst) & 0.4 $\pm 0.1$(stat) $\pm 0.3$(syst) & $< 0.01$ & 1.6 $^{+0.3}_{-0.2}$(stat) $\pm 0.6$(syst) & 3")
bkglines.append("29 $^{+16}_{-11}$(stat) $\pm 15$(syst) & 41 $^{+8}_{-7}$(stat) $\pm 8$(syst) & 1.4 $\pm 0.0$(stat) $\pm 1.1$(syst) & 72 $^{+17}_{-13}$(stat) $\pm 18$(syst) & 93")
bkglines.append("10 $^{+5}_{-4}$(stat) $\pm 5$(syst) & 11 $\pm 2$(stat) $\pm 3$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & 20 $^{+6}_{-4}$(stat) $\pm 6$(syst) & 25")
bkglines.append("1.5 $^{+0.8}_{-0.6}$(stat) $\pm 1.0$(syst) & 0.4 $\pm 0.1$(stat) $\pm 0.3$(syst) & $< 0.01$ & 1.9 $^{+0.8}_{-0.6}$(stat) $\pm 1.0$(syst) & 0")
bkglines.append("17 $^{+13}_{-8}$(stat) $\pm 11$(syst) & 50 $^{+7}_{-6}$(stat) $\pm 8$(syst) & 0.9 $\pm 0.0$(stat) $\pm 0.8$(syst) & 68 $^{+15}_{-10}$(stat) $\pm 13$(syst) & 76")
bkglines.append("5.4 $^{+4.3}_{-2.6}$(stat) $\pm 3.8$(syst) & 8.9 $^{+1.2}_{-1.1}$(stat) $\pm 2.3$(syst) & 0.03 $\pm 0.00$(stat) $^{+0.04}_{-0.03}$(syst) & 14 $^{+4}_{-3}$(stat) $\pm 4$(syst) & 20")
bkglines.append("0.9 $^{+0.7}_{-0.4}$(stat) $\pm 0.7$(syst) & 0.3 $\pm 0.0$(stat) $\pm 0.2$(syst) & $< 0.01$ & 1.2 $^{+0.7}_{-0.4}$(stat) $\pm 0.7$(syst) & 1")
bkglines.append("5.5 $^{+4.3}_{-2.6}$(stat) $\pm 3.9$(syst) & 30 $\pm 4$(stat) $\pm 5$(syst) & 0.4 $\pm 0.0$(stat) $\pm 0.3$(syst) & 36 $^{+6}_{-4}$(stat) $\pm 6$(syst) & 45")
bkglines.append("1.8 $^{+1.4}_{-0.9}$(stat) $\pm 1.3$(syst) & 4.3 $^{+0.6}_{-0.5}$(stat) $\pm 1.2$(syst) & 0.01 $\pm 0.00$(stat) $^{+0.02}_{-0.01}$(syst) & 6.1 $^{+1.5}_{-1.0}$(stat) $\pm 1.8$(syst) & 8")
bkglines.append("0.3 $^{+0.2}_{-0.1}$(stat) $\pm 0.2$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & $< 0.01$ & 0.4 $^{+0.2}_{-0.1}$(stat) $\pm 0.2$(syst) & 1")
bkglines.append("1.3 $^{+1.0}_{-0.6}$(stat) $\pm 1.2$(syst) & 6.2 $^{+0.8}_{-0.7}$(stat) $\pm 1.1$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & 7.6 $^{+1.3}_{-1.0}$(stat) $\pm 1.7$(syst) & 8")
bkglines.append("0.4 $^{+0.3}_{-0.2}$(stat) $\pm 0.4$(syst) & 0.8 $\pm 0.1$(stat) $\pm 0.3$(syst) & $< 0.01$ & 1.2 $^{+0.4}_{-0.2}$(stat) $\pm 0.5$(syst) & 2")
bkglines.append("0.1 $^{+0.1}_{-0.0}$(stat) $\pm 0.1$(syst) & $< 0.01$ & $< 0.01$ & 0.1 $^{+0.1}_{-0.0}$(stat) $\pm 0.1$(syst) & 0")
bkglines.append("2700 $^{+74}_{-72}$(stat) $\pm 186$(syst) & 1250 $\pm 27$(stat) $\pm 85$(syst) & 27 $\pm 0$(stat) $\pm 13$(syst) & 3977 $^{+79}_{-77}$(stat) $\pm 205$(syst) & 4163")
bkglines.append("1840 $^{+51}_{-49}$(stat) $\pm 134$(syst) & 598 $^{+20}_{-19}$(stat) $\pm 43$(syst) & 2.5 $\pm 0.1$(stat) $\pm 1.4$(syst) & 2441 $^{+54}_{-53}$(stat) $\pm 141$(syst) & 2442")
bkglines.append("1630 $^{+45}_{-44}$(stat) $\pm 121$(syst) & 383 $^{+18}_{-17}$(stat) $\pm 31$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & 2013 $^{+48}_{-47}$(stat) $\pm 125$(syst) & 1940")
bkglines.append("272 $\pm 7$(stat) $\pm 37$(syst) & 50 $^{+8}_{-7}$(stat) $\pm 8$(syst) & $< 0.01$ & 322 $^{+11}_{-10}$(stat) $\pm 38$(syst) & 302")
bkglines.append("26 $\pm 1$(stat) $\pm 11$(syst) & 3.8 $\pm 0.6$(stat) $\pm 1.7$(syst) & $< 0.01$ & 30 $\pm 1$(stat) $\pm 11$(syst) & 25")
bkglines.append("298 $^{+24}_{-22}$(stat) $\pm 22$(syst) & 199 $\pm 10$(stat) $\pm 17$(syst) & 10 $\pm 0$(stat) $\pm 5$(syst) & 507 $^{+26}_{-24}$(stat) $\pm 28$(syst) & 612")
bkglines.append("203 $^{+17}_{-15}$(stat) $\pm 15$(syst) & 96 $^{+8}_{-7}$(stat) $\pm 10$(syst) & 1.0 $\pm 0.0$(stat) $\pm 0.6$(syst) & 299 $^{+18}_{-17}$(stat) $\pm 18$(syst) & 323")
bkglines.append("180 $^{+15}_{-14}$(stat) $\pm 14$(syst) & 63 $\pm 7$(stat) $\pm 8$(syst) & 0.04 $\pm 0.00$(stat) $\pm 0.03$(syst) & 243 $^{+16}_{-15}$(stat) $\pm 16$(syst) & 253")
bkglines.append("30 $\pm 2$(stat) $\pm 4$(syst) & 9.4 $^{+1.1}_{-1.0}$(stat) $\pm 2.4$(syst) & $< 0.01$ & 39 $^{+3}_{-2}$(stat) $\pm 5$(syst) & 44")
bkglines.append("2.8 $\pm 0.2$(stat) $\pm 1.2$(syst) & 0.5 $\pm 0.1$(stat) $\pm 0.3$(syst) & $< 0.01$ & 3.4 $\pm 0.2$(stat) $\pm 1.2$(syst) & 1")
bkglines.append("51 $^{+12}_{-10}$(stat) $\pm 5$(syst) & 22 $\pm 2$(stat) $\pm 4$(syst) & 1.6 $\pm 0.0$(stat) $\pm 1.0$(syst) & 75 $^{+12}_{-10}$(stat) $\pm 7$(syst) & 71")
bkglines.append("35 $^{+8}_{-7}$(stat) $\pm 4$(syst) & 9.4 $\pm 1.0$(stat) $\pm 1.7$(syst) & 0.2 $\pm 0.0$(stat) $\pm 0.1$(syst) & 44 $^{+8}_{-7}$(stat) $\pm 4$(syst) & 34")
bkglines.append("31 $^{+7}_{-6}$(stat) $\pm 3$(syst) & 7.5 $\pm 0.8$(stat) $\pm 1.9$(syst) & $< 0.01$ & 38 $^{+7}_{-6}$(stat) $\pm 4$(syst) & 24")
bkglines.append("5.1 $^{+1.2}_{-1.0}$(stat) $\pm 0.8$(syst) & 0.9 $\pm 0.1$(stat) $\pm 0.4$(syst) & $< 0.01$ & 6.0 $^{+1.2}_{-1.0}$(stat) $\pm 0.9$(syst) & 6")
bkglines.append("0.5 $\pm 0.1$(stat) $\pm 0.2$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & $< 0.01$ & 0.5 $\pm 0.1$(stat) $\pm 0.2$(syst) & 0")
bkglines.append("15 $^{+8}_{-5}$(stat) $\pm 5$(syst) & 51 $^{+5}_{-4}$(stat) $\pm 7$(syst) & 2.7 $\pm 0.0$(stat) $\pm 2.1$(syst) & 69 $^{+9}_{-7}$(stat) $\pm 9$(syst) & 53")
bkglines.append("9.4 $^{+4.6}_{-3.2}$(stat) $\pm 2.8$(syst) & 17 $^{+2}_{-1}$(stat) $\pm 3$(syst) & 0.2 $\pm 0.0$(stat) $\pm 0.2$(syst) & 27 $^{+5}_{-4}$(stat) $\pm 4$(syst) & 24")
bkglines.append("6.7 $^{+3.3}_{-2.3}$(stat) $\pm 2.0$(syst) & 6.4 $^{+0.6}_{-0.5}$(stat) $\pm 2.0$(syst) & 0.01 $\pm 0.00$(stat) $\pm 0.01$(syst) & 13 $^{+3}_{-2}$(stat) $\pm 3$(syst) & 5")
bkglines.append("1.3 $^{+0.6}_{-0.4}$(stat) $\pm 1.3$(syst) & 0.2 $\pm 0.0$(stat) $\pm 0.1$(syst) & $< 0.01$ & 1.4 $^{+0.6}_{-0.4}$(stat) $\pm 1.3$(syst) & 0")
bkglines.append("2170 $^{+77}_{-75}$(stat) $\pm 156$(syst) & 1550 $\pm 32$(stat) $\pm 104$(syst) & 108 $\pm 2$(stat) $\pm 44$(syst) & 3828 $^{+84}_{-81}$(stat) $\pm 193$(syst) & 3718")
bkglines.append("1200 $^{+43}_{-41}$(stat) $\pm 96$(syst) & 651 $^{+21}_{-20}$(stat) $\pm 47$(syst) & 10 $\pm 0$(stat) $\pm 5$(syst) & 1861 $^{+47}_{-46}$(stat) $\pm 107$(syst) & 1939")
bkglines.append("757 $^{+27}_{-26}$(stat) $\pm 68$(syst) & 266 $\pm 13$(stat) $\pm 23$(syst) & 0.4 $\pm 0.0$(stat) $\pm 0.3$(syst) & 1023 $^{+30}_{-29}$(stat) $\pm 71$(syst) & 1180")
bkglines.append("108 $\pm 4$(stat) $\pm 22$(syst) & 29 $\pm 1$(stat) $\pm 6$(syst) & $< 0.01$ & 137 $\pm 4$(stat) $\pm 23$(syst) & 140")
bkglines.append("7.6 $\pm 0.3$(stat) $\pm 3.4$(syst) & 1.7 $\pm 0.1$(stat) $\pm 0.7$(syst) & $< 0.01$ & 9.3 $\pm 0.3$(stat) $\pm 3.5$(syst) & 7")
bkglines.append("468 $^{+36}_{-33}$(stat) $\pm 35$(syst) & 665 $^{+20}_{-19}$(stat) $\pm 47$(syst) & 55 $\pm 1$(stat) $\pm 25$(syst) & 1188 $^{+41}_{-38}$(stat) $\pm 64$(syst) & 1183")
bkglines.append("258 $^{+20}_{-18}$(stat) $\pm 21$(syst) & 240 $^{+12}_{-11}$(stat) $\pm 20$(syst) & 5.2 $\pm 0.1$(stat) $\pm 2.8$(syst) & 503 $^{+23}_{-21}$(stat) $\pm 29$(syst) & 616")
bkglines.append("163 $\pm 12$(stat) $\pm 15$(syst) & 90 $^{+8}_{-7}$(stat) $\pm 10$(syst) & 0.2 $\pm 0.0$(stat) $\pm 0.2$(syst) & 254 $^{+15}_{-14}$(stat) $\pm 18$(syst) & 277")
bkglines.append("23 $\pm 2$(stat) $\pm 5$(syst) & 6.9 $\pm 0.6$(stat) $\pm 1.7$(syst) & $< 0.01$ & 30 $\pm 2$(stat) $\pm 5$(syst) & 31")
bkglines.append("1.6 $\pm 0.1$(stat) $\pm 0.7$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & $< 0.01$ & 1.8 $\pm 0.1$(stat) $\pm 0.7$(syst) & 2")
bkglines.append("71 $^{+15}_{-12}$(stat) $\pm 10$(syst) & 275 $\pm 12$(stat) $\pm 22$(syst) & 14 $\pm 0$(stat) $\pm 8$(syst) & 360 $^{+19}_{-17}$(stat) $\pm 25$(syst) & 366")
bkglines.append("39 $^{+8}_{-7}$(stat) $\pm 5$(syst) & 103 $^{+8}_{-7}$(stat) $\pm 11$(syst) & 1.3 $\pm 0.0$(stat) $\pm 0.8$(syst) & 144 $^{+11}_{-10}$(stat) $\pm 12$(syst) & 147")
bkglines.append("25 $^{+5}_{-4}$(stat) $\pm 4$(syst) & 44 $^{+6}_{-5}$(stat) $\pm 7$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.0$(syst) & 69 $^{+8}_{-7}$(stat) $\pm 7$(syst) & 72")
bkglines.append("3.5 $^{+0.7}_{-0.6}$(stat) $\pm 0.8$(syst) & 3.2 $\pm 0.4$(stat) $\pm 0.9$(syst) & $< 0.01$ & 6.7 $^{+0.8}_{-0.7}$(stat) $\pm 1.2$(syst) & 5")
bkglines.append("0.2 $^{+0.1}_{-0.0}$(stat) $\pm 0.1$(syst) & 0.2 $\pm 0.0$(stat) $\pm 0.1$(syst) & $< 0.01$ & 0.4 $^{+0.1}_{-0.0}$(stat) $\pm 0.2$(syst) & 2")
bkglines.append("106 $^{+22}_{-18}$(stat) $\pm 21$(syst) & 124 $^{+12}_{-11}$(stat) $\pm 14$(syst) & 9.4 $\pm 0.1$(stat) $\pm 4.4$(syst) & 239 $^{+24}_{-21}$(stat) $\pm 26$(syst) & 290")
bkglines.append("56 $^{+11}_{-10}$(stat) $\pm 11$(syst) & 49 $^{+7}_{-6}$(stat) $\pm 8$(syst) & 0.9 $\pm 0.0$(stat) $\pm 0.5$(syst) & 106 $^{+13}_{-11}$(stat) $\pm 13$(syst) & 130")
bkglines.append("29 $^{+6}_{-5}$(stat) $\pm 8$(syst) & 16 $\pm 2$(stat) $\pm 3$(syst) & 0.04 $\pm 0.00$(stat) $\pm 0.03$(syst) & 45 $^{+6}_{-5}$(stat) $\pm 8$(syst) & 47")
bkglines.append("2.9 $^{+0.6}_{-0.5}$(stat) $\pm 1.0$(syst) & 1.0 $\pm 0.1$(stat) $\pm 0.4$(syst) & $< 0.01$ & 3.9 $^{+0.6}_{-0.5}$(stat) $\pm 1.1$(syst) & 2")
bkglines.append("0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & $< 0.01$ & $< 0.01$ & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & 0")
bkglines.append("39 $^{+11}_{-9}$(stat) $\pm 10$(syst) & 173 $^{+10}_{-9}$(stat) $\pm 15$(syst) & 6.2 $\pm 0.1$(stat) $\pm 3.1$(syst) & 219 $^{+15}_{-13}$(stat) $\pm 19$(syst) & 223")
bkglines.append("21 $^{+6}_{-5}$(stat) $\pm 5$(syst) & 60 $\pm 5$(stat) $\pm 8$(syst) & 0.6 $\pm 0.0$(stat) $\pm 0.3$(syst) & 81 $^{+8}_{-7}$(stat) $\pm 9$(syst) & 74")
bkglines.append("11 $^{+3}_{-2}$(stat) $\pm 4$(syst) & 17 $^{+2}_{-1}$(stat) $\pm 4$(syst) & 0.02 $\pm 0.00$(stat) $\pm 0.02$(syst) & 28 $\pm 3$(stat) $\pm 5$(syst) & 20")
bkglines.append("1.1 $\pm 0.3$(stat) $\pm 0.5$(syst) & 0.8 $\pm 0.1$(stat) $\pm 0.4$(syst) & $< 0.01$ & 2.0 $\pm 0.3$(stat) $\pm 0.7$(syst) & 1")
bkglines.append("10 $^{+3}_{-2}$(stat) $\pm 3$(syst) & 113 $\pm 6$(stat) $\pm 10$(syst) & 2.5 $\pm 0.0$(stat) $\pm 1.5$(syst) & 125 $^{+7}_{-6}$(stat) $\pm 11$(syst) & 132")
bkglines.append("5.1 $^{+1.5}_{-1.1}$(stat) $\pm 1.3$(syst) & 38 $\pm 3$(stat) $\pm 5$(syst) & 0.2 $\pm 0.0$(stat) $\pm 0.2$(syst) & 44 $^{+4}_{-3}$(stat) $\pm 5$(syst) & 41")
bkglines.append("2.7 $^{+0.8}_{-0.6}$(stat) $\pm 0.9$(syst) & 9.2 $^{+0.8}_{-0.7}$(stat) $\pm 2.2$(syst) & 0.01 $\pm 0.00$(stat) $\pm 0.01$(syst) & 12 $\pm 1$(stat) $\pm 2$(syst) & 7")
bkglines.append("0.3 $\pm 0.1$(stat) $\pm 0.1$(syst) & 0.2 $\pm 0.0$(stat) $\pm 0.1$(syst) & $< 0.01$ & 0.5 $\pm 0.1$(stat) $\pm 0.1$(syst) & 0")
bkglines.append("1.9 $^{+0.5}_{-0.4}$(stat) $\pm 0.5$(syst) & 27 $^{+2}_{-1}$(stat) $\pm 3$(syst) & 0.6 $\pm 0.0$(stat) $\pm 0.5$(syst) & 30 $^{+2}_{-1}$(stat) $\pm 3$(syst) & 45")
bkglines.append("1.0 $^{+0.3}_{-0.2}$(stat) $\pm 0.3$(syst) & 10 $\pm 1$(stat) $\pm 2$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.0$(syst) & 11 $\pm 1$(stat) $\pm 2$(syst) & 14")
bkglines.append("0.5 $\pm 0.1$(stat) $\pm 0.2$(syst) & 2.3 $\pm 0.2$(stat) $\pm 0.7$(syst) & $< 0.01$ & 2.8 $\pm 0.2$(stat) $\pm 0.7$(syst) & 2")
bkglines.append("0.1 $\pm 0.0$(stat) $\pm 0.0$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & $< 0.01$ & 0.2 $\pm 0.0$(stat) $\pm 0.1$(syst) & 0")
bkglines.append("489 $^{+45}_{-41}$(stat) $\pm 53$(syst) & 225 $^{+12}_{-11}$(stat) $\pm 19$(syst) & 29 $\pm 1$(stat) $\pm 10$(syst) & 743 $^{+47}_{-43}$(stat) $\pm 57$(syst) & 766")
bkglines.append("74 $^{+7}_{-6}$(stat) $\pm 17$(syst) & 36 $^{+5}_{-4}$(stat) $\pm 6$(syst) & 0.3 $\pm 0.0$(stat) $\pm 0.1$(syst) & 110 $^{+8}_{-7}$(stat) $\pm 18$(syst) & 159")
bkglines.append("30 $\pm 3$(stat) $\pm 7$(syst) & 10 $\pm 1$(stat) $\pm 2$(syst) & $< 0.01$ & 40 $\pm 3$(stat) $\pm 7$(syst) & 64")
bkglines.append("15 $\pm 1$(stat) $\pm 4$(syst) & 5.1 $^{+0.7}_{-0.6}$(stat) $\pm 1.5$(syst) & $< 0.01$ & 20 $^{+2}_{-1}$(stat) $\pm 5$(syst) & 24")
bkglines.append("6.3 $^{+0.6}_{-0.5}$(stat) $\pm 2.3$(syst) & 1.2 $^{+0.2}_{-0.1}$(stat) $\pm 0.6$(syst) & $< 0.01$ & 7.5 $^{+0.6}_{-0.5}$(stat) $\pm 2.3$(syst) & 10")
bkglines.append("1.0 $\pm 0.1$(stat) $\pm 0.4$(syst) & 0.2 $\pm 0.0$(stat) $\pm 0.2$(syst) & $< 0.01$ & 1.2 $\pm 0.1$(stat) $\pm 0.5$(syst) & 2")
bkglines.append("95 $^{+22}_{-18}$(stat) $\pm 11$(syst) & 46 $^{+5}_{-4}$(stat) $\pm 6$(syst) & 11 $\pm 0$(stat) $\pm 4$(syst) & 153 $^{+23}_{-19}$(stat) $\pm 14$(syst) & 130")
bkglines.append("14 $\pm 3$(stat) $\pm 3$(syst) & 6.7 $^{+0.7}_{-0.6}$(stat) $\pm 1.3$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & 21 $\pm 3$(stat) $\pm 4$(syst) & 26")
bkglines.append("5.9 $^{+1.4}_{-1.1}$(stat) $\pm 1.3$(syst) & 1.7 $\pm 0.2$(stat) $\pm 0.5$(syst) & $< 0.01$ & 7.6 $^{+1.4}_{-1.1}$(stat) $\pm 1.4$(syst) & 10")
bkglines.append("2.9 $^{+0.7}_{-0.6}$(stat) $\pm 0.8$(syst) & 1.0 $\pm 0.1$(stat) $\pm 0.5$(syst) & $< 0.01$ & 4.0 $^{+0.7}_{-0.6}$(stat) $\pm 1.0$(syst) & 4")
bkglines.append("1.2 $^{+0.3}_{-0.2}$(stat) $\pm 0.4$(syst) & 0.4 $\pm 0.0$(stat) $\pm 0.3$(syst) & $< 0.01$ & 1.6 $^{+0.3}_{-0.2}$(stat) $\pm 0.5$(syst) & 1")
bkglines.append("0.2 $\pm 0.0$(stat) $\pm 0.1$(syst) & $< 0.01$ & $< 0.01$ & 0.2 $\pm 0.0$(stat) $\pm 0.1$(syst) & 1")
bkglines.append("7.0 $^{+6.8}_{-3.8}$(stat) $\pm 4.3$(syst) & 3.5 $^{+1.6}_{-1.2}$(stat) $\pm 1.4$(syst) & 1.7 $\pm 0.0$(stat) $\pm 0.8$(syst) & 12 $^{+7}_{-4}$(stat) $\pm 5$(syst) & 14")
bkglines.append("1.0 $^{+1.0}_{-0.6}$(stat) $\pm 0.7$(syst) & 0.4 $^{+0.2}_{-0.1}$(stat) $\pm 0.2$(syst) & 0.02 $\pm 0.00$(stat) $\pm 0.01$(syst) & 1.4 $^{+1.0}_{-0.6}$(stat) $\pm 0.7$(syst) & 2")
bkglines.append("0.4 $^{+0.4}_{-0.2}$(stat) $\pm 0.3$(syst) & 0.03 $\pm 0.01$(stat) $\pm 0.03$(syst) & $< 0.01$ & 0.5 $^{+0.4}_{-0.2}$(stat) $\pm 0.3$(syst) & 2")
bkglines.append("0.2 $^{+0.2}_{-0.1}$(stat) $\pm 0.2$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & $< 0.01$ & 0.3 $^{+0.2}_{-0.1}$(stat) $\pm 0.2$(syst) & 0")
bkglines.append("0.1 $\pm 0.1$(stat) $\pm 0.1$(syst) & 0.2 $\pm 0.1$(stat) $^{+0.3}_{-0.2}$(syst) & $< 0.01$ & 0.3 $\pm 0.1$(stat) $\pm 0.3$(syst) & 0")
bkglines.append("3.1 $^{+7.2}_{-2.6}$(stat) $^{+3.2}_{-3.1}$(syst) & 14 $\pm 3$(stat) $\pm 3$(syst) & 4.4 $\pm 0.1$(stat) $\pm 3.2$(syst) & 22 $^{+8}_{-4}$(stat) $\pm 6$(syst) & 26")
bkglines.append("0.7 $^{+1.6}_{-0.6}$(stat) $\pm 0.7$(syst) & 1.1 $\pm 0.2$(stat) $\pm 0.4$(syst) & 0.05 $\pm 0.00$(stat) $\pm 0.04$(syst) & 1.9 $^{+1.6}_{-0.6}$(stat) $\pm 0.8$(syst) & 2")
bkglines.append("0.3 $^{+0.8}_{-0.3}$(stat) $^{+0.5}_{-0.3}$(syst) & 0.2 $\pm 0.0$(stat) $\pm 0.1$(syst) & $< 0.01$ & 0.6 $^{+0.8}_{-0.3}$(stat) $\pm 0.5$(syst) & 0")
bkglines.append("578 $^{+48}_{-45}$(stat) $\pm 59$(syst) & 434 $^{+17}_{-16}$(stat) $\pm 33$(syst) & 194 $\pm 3$(stat) $\pm 44$(syst) & 1206 $^{+51}_{-48}$(stat) $\pm 80$(syst) & 1166")
bkglines.append("132 $^{+11}_{-10}$(stat) $\pm 23$(syst) & 49 $\pm 4$(stat) $\pm 6$(syst) & 2.1 $\pm 0.1$(stat) $\pm 0.8$(syst) & 183 $^{+12}_{-11}$(stat) $\pm 24$(syst) & 221")
bkglines.append("50 $\pm 4$(stat) $\pm 9$(syst) & 13 $\pm 1$(stat) $\pm 2$(syst) & 0.03 $\pm 0.01$(stat) $^{+0.04}_{-0.03}$(syst) & 63 $\pm 4$(stat) $\pm 9$(syst) & 57")
bkglines.append("21 $\pm 2$(stat) $\pm 5$(syst) & 4.2 $\pm 0.4$(stat) $\pm 1.1$(syst) & 0.00 $\pm 0.00$(stat) $^{+0.01}_{-0.00}$(syst) & 25 $\pm 2$(stat) $\pm 5$(syst) & 19")
bkglines.append("5.6 $^{+0.5}_{-0.4}$(stat) $\pm 1.9$(syst) & 1.2 $\pm 0.1$(stat) $\pm 0.6$(syst) & $< 0.01$ & 6.8 $^{+0.5}_{-0.4}$(stat) $\pm 2.0$(syst) & 6")
bkglines.append("0.7 $\pm 0.1$(stat) $\pm 0.3$(syst) & 0.3 $\pm 0.0$(stat) $\pm 0.3$(syst) & $< 0.01$ & 1.0 $\pm 0.1$(stat) $\pm 0.4$(syst) & 1")
bkglines.append("156 $^{+28}_{-24}$(stat) $\pm 17$(syst) & 188 $^{+10}_{-9}$(stat) $\pm 16$(syst) & 100 $\pm 2$(stat) $\pm 29$(syst) & 444 $^{+30}_{-26}$(stat) $\pm 37$(syst) & 396")
bkglines.append("36 $^{+6}_{-5}$(stat) $\pm 6$(syst) & 25 $^{+4}_{-3}$(stat) $\pm 4$(syst) & 1.1 $\pm 0.1$(stat) $\pm 0.4$(syst) & 62 $^{+7}_{-6}$(stat) $\pm 8$(syst) & 51")
bkglines.append("14 $\pm 2$(stat) $\pm 2$(syst) & 5.9 $^{+0.9}_{-0.8}$(stat) $\pm 1.4$(syst) & 0.01 $\pm 0.00$(stat) $^{+0.02}_{-0.01}$(syst) & 19 $^{+3}_{-2}$(stat) $\pm 3$(syst) & 18")
bkglines.append("5.5 $^{+1.0}_{-0.9}$(stat) $\pm 1.4$(syst) & 1.9 $^{+0.3}_{-0.2}$(stat) $\pm 0.7$(syst) & $< 0.01$ & 7.5 $^{+1.0}_{-0.9}$(stat) $\pm 1.6$(syst) & 7")
bkglines.append("1.5 $^{+0.3}_{-0.2}$(stat) $\pm 0.5$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & $< 0.01$ & 1.7 $^{+0.3}_{-0.2}$(stat) $\pm 0.5$(syst) & 0")
bkglines.append("0.2 $\pm 0.0$(stat) $\pm 0.1$(syst) & 0.3 $\pm 0.0$(stat) $\pm 0.3$(syst) & $< 0.01$ & 0.4 $^{+0.1}_{-0.0}$(stat) $\pm 0.3$(syst) & 1")
bkglines.append("42 $^{+17}_{-12}$(stat) $\pm 8$(syst) & 65 $\pm 5$(stat) $\pm 7$(syst) & 26 $\pm 0$(stat) $\pm 10$(syst) & 133 $^{+18}_{-13}$(stat) $\pm 15$(syst) & 128")
bkglines.append("10 $^{+4}_{-3}$(stat) $\pm 2$(syst) & 7.1 $^{+0.6}_{-0.5}$(stat) $\pm 1.3$(syst) & 0.3 $\pm 0.0$(stat) $\pm 0.1$(syst) & 17 $^{+4}_{-3}$(stat) $\pm 3$(syst) & 16")
bkglines.append("3.6 $^{+1.5}_{-1.1}$(stat) $\pm 0.9$(syst) & 1.7 $\pm 0.1$(stat) $\pm 0.5$(syst) & $< 0.01$ & 5.3 $^{+1.5}_{-1.1}$(stat) $\pm 1.1$(syst) & 5")
bkglines.append("1.5 $^{+0.6}_{-0.4}$(stat) $\pm 0.5$(syst) & 0.6 $^{+0.1}_{-0.0}$(stat) $\pm 0.3$(syst) & $< 0.01$ & 2.1 $^{+0.6}_{-0.4}$(stat) $\pm 0.6$(syst) & 2")
bkglines.append("0.5 $^{+0.2}_{-0.1}$(stat) $\pm 0.2$(syst) & 0.2 $\pm 0.0$(stat) $\pm 0.2$(syst) & $< 0.01$ & 0.7 $^{+0.2}_{-0.1}$(stat) $\pm 0.3$(syst) & 0")
bkglines.append("83 $^{+24}_{-19}$(stat) $\pm 21$(syst) & 80 $^{+8}_{-7}$(stat) $\pm 9$(syst) & 49 $\pm 1$(stat) $\pm 14$(syst) & 213 $^{+25}_{-20}$(stat) $\pm 27$(syst) & 201")
bkglines.append("19 $^{+5}_{-4}$(stat) $\pm 5$(syst) & 10 $\pm 1$(stat) $\pm 2$(syst) & 0.5 $\pm 0.0$(stat) $\pm 0.2$(syst) & 29 $^{+5}_{-4}$(stat) $\pm 5$(syst) & 19")
bkglines.append("5.3 $^{+1.5}_{-1.2}$(stat) $\pm 1.7$(syst) & 2.1 $\pm 0.2$(stat) $\pm 0.6$(syst) & $< 0.01$ & 7.4 $^{+1.5}_{-1.2}$(stat) $\pm 1.8$(syst) & 6")
bkglines.append("1.1 $\pm 0.3$(stat) $\pm 0.4$(syst) & 0.3 $\pm 0.0$(stat) $\pm 0.2$(syst) & $< 0.01$ & 1.4 $\pm 0.3$(stat) $\pm 0.5$(syst) & 1")
bkglines.append("0.2 $\pm 0.1$(stat) $\pm 0.1$(syst) & 0.03 $\pm 0.00$(stat) $\pm 0.03$(syst) & $< 0.01$ & 0.3 $\pm 0.1$(stat) $\pm 0.1$(syst) & 0")
bkglines.append("36 $^{+15}_{-11}$(stat) $\pm 11$(syst) & 104 $\pm 6$(stat) $\pm 10$(syst) & 32 $\pm 1$(stat) $\pm 11$(syst) & 172 $^{+17}_{-13}$(stat) $\pm 18$(syst) & 153")
bkglines.append("8.0 $^{+3.4}_{-2.5}$(stat) $\pm 2.6$(syst) & 12 $\pm 1$(stat) $\pm 2$(syst) & 0.4 $\pm 0.0$(stat) $\pm 0.2$(syst) & 20 $\pm 3$(stat) $\pm 3$(syst) & 15")
bkglines.append("2.3 $^{+1.0}_{-0.7}$(stat) $\pm 0.9$(syst) & 1.4 $\pm 0.1$(stat) $\pm 0.5$(syst) & $< 0.01$ & 3.7 $^{+1.0}_{-0.7}$(stat) $\pm 1.0$(syst) & 3")
bkglines.append("0.6 $\pm 0.2$(stat) $\pm 0.3$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & $< 0.01$ & 0.7 $\pm 0.2$(stat) $\pm 0.3$(syst) & 1")
bkglines.append("9.4 $^{+4.0}_{-2.9}$(stat) $\pm 2.9$(syst) & 74 $\pm 4$(stat) $\pm 7$(syst) & 13 $\pm 0$(stat) $\pm 6$(syst) & 97 $^{+6}_{-5}$(stat) $\pm 10$(syst) & 84")
bkglines.append("2.1 $^{+0.9}_{-0.7}$(stat) $\pm 0.7$(syst) & 6.2 $\pm 0.4$(stat) $\pm 1.2$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & 8.4 $^{+1.0}_{-0.7}$(stat) $\pm 1.4$(syst) & 9")
bkglines.append("0.6 $^{+0.3}_{-0.2}$(stat) $\pm 0.2$(syst) & 0.8 $\pm 0.0$(stat) $\pm 0.3$(syst) & $< 0.01$ & 1.4 $^{+0.3}_{-0.2}$(stat) $\pm 0.4$(syst) & 1")
bkglines.append("0.2 $^{+0.1}_{-0.0}$(stat) $\pm 0.1$(syst) & 0.3 $\pm 0.0$(stat) $\pm 0.3$(syst) & $< 0.01$ & 0.5 $\pm 0.1$(stat) $\pm 0.3$(syst) & 1")
bkglines.append("1.4 $^{+0.6}_{-0.4}$(stat) $\pm 0.5$(syst) & 23 $\pm 1$(stat) $\pm 3$(syst) & 3.1 $\pm 0.1$(stat) $\pm 2.3$(syst) & 27 $\pm 1$(stat) $\pm 4$(syst) & 26")
bkglines.append("0.3 $\pm 0.1$(stat) $\pm 0.1$(syst) & 2.3 $\pm 0.1$(stat) $\pm 0.6$(syst) & 0.03 $\pm 0.00$(stat) $\pm 0.03$(syst) & 2.6 $\pm 0.2$(stat) $\pm 0.7$(syst) & 3")
bkglines.append("0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & 0.3 $\pm 0.0$(stat) $\pm 0.3$(syst) & $< 0.01$ & 0.5 $^{+0.1}_{-0.0}$(stat) $\pm 0.3$(syst) & 1")
bkglines.append("31 $^{+7}_{-6}$(stat) $\pm 7$(syst) & 7.0 $^{+0.8}_{-0.7}$(stat) $\pm 1.5$(syst) & 0.3 $\pm 0.0$(stat) $\pm 0.2$(syst) & 39 $^{+7}_{-6}$(stat) $\pm 8$(syst) & 35")
bkglines.append("12 $^{+3}_{-2}$(stat) $\pm 3$(syst) & 2.2 $^{+0.3}_{-0.2}$(stat) $\pm 0.8$(syst) & 0.02 $\pm 0.01$(stat) $\pm 0.01$(syst) & 14 $^{+3}_{-2}$(stat) $\pm 3$(syst) & 8")
bkglines.append("5.1 $^{+1.1}_{-0.9}$(stat) $\pm 1.5$(syst) & 0.6 $\pm 0.1$(stat) $\pm 0.4$(syst) & $< 0.01$ & 5.7 $^{+1.1}_{-0.9}$(stat) $\pm 1.5$(syst) & 4")
bkglines.append("4.0 $^{+0.9}_{-0.7}$(stat) $\pm 1.5$(syst) & 1.2 $\pm 0.1$(stat) $\pm 0.6$(syst) & $< 0.01$ & 5.2 $^{+0.9}_{-0.8}$(stat) $\pm 1.6$(syst) & 3")
bkglines.append("1.0 $\pm 0.2$(stat) $\pm 0.5$(syst) & 0.4 $\pm 0.0$(stat) $\pm 0.3$(syst) & $< 0.01$ & 1.4 $\pm 0.2$(stat) $\pm 0.6$(syst) & 2")
bkglines.append("8.2 $^{+4.1}_{-2.8}$(stat) $\pm 2.9$(syst) & 1.8 $^{+0.5}_{-0.4}$(stat) $\pm 0.8$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & 10 $^{+4}_{-3}$(stat) $\pm 3$(syst) & 2")
bkglines.append("3.1 $^{+1.5}_{-1.1}$(stat) $\pm 1.0$(syst) & 0.3 $\pm 0.1$(stat) $\pm 0.3$(syst) & $< 0.01$ & 3.4 $^{+1.5}_{-1.1}$(stat) $\pm 1.1$(syst) & 2")
bkglines.append("1.3 $^{+0.7}_{-0.5}$(stat) $\pm 0.5$(syst) & 0.2 $\pm 0.1$(stat) $\pm 0.2$(syst) & $< 0.01$ & 1.6 $^{+0.7}_{-0.5}$(stat) $\pm 0.6$(syst) & 0")
bkglines.append("1.4 $^{+0.7}_{-0.5}$(stat) $\pm 0.7$(syst) & 0.2 $^{+0.1}_{-0.0}$(stat) $\pm 0.2$(syst) & $< 0.01$ & 1.6 $^{+0.7}_{-0.5}$(stat) $\pm 0.7$(syst) & 2")
bkglines.append("0.0 $^{+2.0}_{-0.0}$(stat) $\pm 0.0$(syst) & 0.0 $^{+0.7}_{-0.0}$(stat) $\pm 0.0$(syst) & 0.02 $\pm 0.00$(stat) $\pm 0.01$(syst) & 0.0 $^{+2.1}_{-0.0}$(stat) $\pm 0.0$(syst) & 1")
bkglines.append("1.3 $^{+3.1}_{-1.1}$(stat) $^{+1.5}_{-1.3}$(syst) & 0.3 $^{+0.2}_{-0.1}$(stat) $\pm 0.2$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & 1.7 $^{+3.1}_{-1.1}$(stat) $\pm 1.5$(syst) & 2")
bkglines.append("0.9 $^{+2.2}_{-0.8}$(stat) $^{+1.1}_{-0.9}$(syst) & 0.01 $\pm 0.01$(stat) $\pm 0.01$(syst) & $< 0.01$ & 1.0 $^{+2.2}_{-0.8}$(stat) $^{+1.1}_{-1.0}$(syst) & 1")
bkglines.append("32 $^{+7}_{-6}$(stat) $\pm 7$(syst) & 7.2 $^{+1.8}_{-1.5}$(stat) $\pm 1.9$(syst) & 2.9 $^{+0.4}_{-0.3}$(stat) $\pm 1.2$(syst) & 42 $^{+7}_{-6}$(stat) $\pm 8$(syst) & 47")
bkglines.append("12 $^{+3}_{-2}$(stat) $\pm 3$(syst) & 1.2 $^{+0.3}_{-0.2}$(stat) $\pm 0.4$(syst) & 0.2 $\pm 0.1$(stat) $\pm 0.1$(syst) & 13 $^{+3}_{-2}$(stat) $\pm 3$(syst) & 17")
bkglines.append("5.2 $^{+1.1}_{-1.0}$(stat) $\pm 1.5$(syst) & 1.2 $^{+0.3}_{-0.2}$(stat) $\pm 0.5$(syst) & 0.02 $^{+0.02}_{-0.01}$(stat) $^{+0.03}_{-0.02}$(syst) & 6.4 $^{+1.2}_{-1.0}$(stat) $\pm 1.5$(syst) & 6")
bkglines.append("4.1 $^{+0.9}_{-0.7}$(stat) $\pm 1.5$(syst) & 0.2 $^{+0.1}_{-0.0}$(stat) $\pm 0.2$(syst) & 0.01 $^{+0.02}_{-0.01}$(stat) $^{+0.02}_{-0.01}$(syst) & 4.4 $^{+0.9}_{-0.7}$(stat) $\pm 1.5$(syst) & 8")
bkglines.append("1.0 $\pm 0.2$(stat) $\pm 0.5$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & $< 0.01$ & 1.2 $\pm 0.2$(stat) $\pm 0.5$(syst) & 1")
bkglines.append("16 $^{+5}_{-4}$(stat) $\pm 4$(syst) & 4.5 $^{+0.6}_{-0.5}$(stat) $\pm 1.1$(syst) & 1.5 $\pm 0.2$(stat) $\pm 0.7$(syst) & 22 $^{+5}_{-4}$(stat) $\pm 4$(syst) & 18")
bkglines.append("6.0 $^{+2.1}_{-1.6}$(stat) $\pm 1.5$(syst) & 1.0 $\pm 0.1$(stat) $\pm 0.4$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & 7.1 $^{+2.1}_{-1.6}$(stat) $\pm 1.6$(syst) & 8")
bkglines.append("2.6 $^{+0.9}_{-0.7}$(stat) $\pm 0.8$(syst) & 0.2 $\pm 0.0$(stat) $\pm 0.2$(syst) & 0.01 $^{+0.01}_{-0.00}$(stat) $\pm 0.01$(syst) & 2.8 $^{+0.9}_{-0.7}$(stat) $\pm 0.8$(syst) & 3")
bkglines.append("2.0 $^{+0.7}_{-0.5}$(stat) $\pm 0.8$(syst) & 0.2 $\pm 0.0$(stat) $\pm 0.2$(syst) & 0.01 $^{+0.01}_{-0.00}$(stat) $\pm 0.01$(syst) & 2.3 $^{+0.7}_{-0.5}$(stat) $\pm 0.8$(syst) & 0")
bkglines.append("0.5 $^{+0.2}_{-0.1}$(stat) $\pm 0.2$(syst) & $< 0.01$ & $< 0.01$ & 0.5 $^{+0.2}_{-0.1}$(stat) $\pm 0.2$(syst) & 1")
bkglines.append("3.4 $^{+2.7}_{-1.6}$(stat) $\pm 1.8$(syst) & 2.4 $\pm 0.4$(stat) $\pm 0.8$(syst) & 0.4 $^{+0.1}_{-0.0}$(stat) $\pm 0.2$(syst) & 6.3 $^{+2.8}_{-1.7}$(stat) $\pm 1.9$(syst) & 5")
bkglines.append("1.3 $^{+1.0}_{-0.6}$(stat) $\pm 0.7$(syst) & 0.5 $\pm 0.1$(stat) $\pm 0.3$(syst) & 0.03 $\pm 0.01$(stat) $\pm 0.02$(syst) & 1.8 $^{+1.0}_{-0.6}$(stat) $\pm 0.7$(syst) & 1")
bkglines.append("1.1 $^{+0.9}_{-0.5}$(stat) $\pm 0.7$(syst) & 0.6 $\pm 0.1$(stat) $\pm 0.5$(syst) & $< 0.01$ & 1.8 $^{+0.9}_{-0.5}$(stat) $\pm 0.8$(syst) & 0")
bkglines.append("5.4 $^{+3.7}_{-2.3}$(stat) $\pm 2.4$(syst) & 4.8 $^{+0.8}_{-0.7}$(stat) $\pm 1.3$(syst) & 1.2 $^{+0.2}_{-0.1}$(stat) $\pm 0.5$(syst) & 11 $^{+4}_{-2}$(stat) $\pm 3$(syst) & 4")
bkglines.append("2.0 $^{+1.4}_{-0.9}$(stat) $\pm 0.9$(syst) & 1.4 $\pm 0.2$(stat) $\pm 0.6$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & 3.5 $^{+1.4}_{-0.9}$(stat) $\pm 1.1$(syst) & 3")
bkglines.append("0.9 $^{+0.6}_{-0.4}$(stat) $\pm 0.4$(syst) & 0.03 $\pm 0.00$(stat) $\pm 0.01$(syst) & 0.01 $^{+0.01}_{-0.00}$(stat) $\pm 0.01$(syst) & 0.9 $^{+0.6}_{-0.4}$(stat) $\pm 0.4$(syst) & 1")
bkglines.append("0.9 $^{+0.6}_{-0.4}$(stat) $\pm 0.5$(syst) & 0.01 $\pm 0.00$(stat) $\pm 0.01$(syst) & $< 0.01$ & 0.9 $^{+0.6}_{-0.4}$(stat) $\pm 0.5$(syst) & 2")
bkglines.append("1.8 $^{+1.7}_{-1.0}$(stat) $\pm 1.2$(syst) & 3.6 $\pm 0.4$(stat) $\pm 0.9$(syst) & 0.8 $\pm 0.1$(stat) $\pm 0.4$(syst) & 6.1 $^{+1.8}_{-1.0}$(stat) $\pm 1.6$(syst) & 7")
bkglines.append("0.7 $^{+0.6}_{-0.4}$(stat) $\pm 0.4$(syst) & 1.0 $\pm 0.1$(stat) $\pm 0.5$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.0$(syst) & 1.7 $^{+0.7}_{-0.4}$(stat) $\pm 0.7$(syst) & 4")
bkglines.append("0.6 $^{+0.6}_{-0.3}$(stat) $\pm 0.4$(syst) & 0.6 $\pm 0.1$(stat) $\pm 0.4$(syst) & $< 0.01$ & 1.2 $^{+0.6}_{-0.3}$(stat) $\pm 0.6$(syst) & 2")
bkglines.append("0.5 $^{+0.5}_{-0.3}$(stat) $\pm 0.3$(syst) & 2.1 $^{+0.3}_{-0.2}$(stat) $\pm 0.5$(syst) & 0.3 $\pm 0.0$(stat) $\pm 0.2$(syst) & 2.9 $^{+0.5}_{-0.4}$(stat) $\pm 0.7$(syst) & 8")
bkglines.append("0.2 $^{+0.2}_{-0.1}$(stat) $\pm 0.1$(syst) & 0.8 $\pm 0.1$(stat) $\pm 0.4$(syst) & 0.02 $\pm 0.01$(stat) $\pm 0.02$(syst) & 1.0 $^{+0.2}_{-0.1}$(stat) $\pm 0.4$(syst) & 2")
bkglines.append("0.2 $^{+0.2}_{-0.1}$(stat) $\pm 0.1$(syst) & 0.01 $\pm 0.00$(stat) $\pm 0.01$(syst) & $< 0.01$ & 0.2 $^{+0.2}_{-0.1}$(stat) $\pm 0.1$(syst) & 0")
bkglines.append("0.2 $^{+0.2}_{-0.1}$(stat) $\pm 0.2$(syst) & 0.7 $\pm 0.1$(stat) $\pm 0.4$(syst) & 0.1 $\pm 0.0$(stat) $\pm 0.1$(syst) & 1.0 $^{+0.2}_{-0.1}$(stat) $\pm 0.4$(syst) & 1")


print "Z(nu,nu) prediction: ", bkglines[binnumber-1].split('&')[0]
print "Lost lepton prediction: ", bkglines[binnumber-1].split('&')[1]
print "Multijet prediction: ", bkglines[binnumber-1].split('&')[2]
print "Total background prediction: ", bkglines[binnumber-1].split('&')[3]
print "Observation: ", bkglines[binnumber-1].split('&')[4]

